function UnmappedLands2:FireSuperWeapon(active, ownerteam, enemyteam)
	-- Init superweapon variables
	if self.SuperWeaponInitialized == false then
		self.SuperWeaponTimer = Timer();
		self.SuperWeaponTimer:Reset()
		
		-- Interval in ms between every single bomb
		self.BombingInterval = 350;
		-- Interval in ticks of overall bombing duration
		self.BombingPeriod = 10;
		
		self.BombingEnd = 0
		
		self.SuperWeaponInitialized = true
	end

	-- Activate bombing
	if active then
		print ("PUMMEL AWAY!!!")
		self.BombingEnd = self.Time + self.BombingPeriod
	end
	
	-- Drop bombs
	if self.Time <= self.BombingEnd then
		if self.SuperWeaponTimer:IsPastSimMS(self.BombingInterval) then
			local itm = CreateMOSRotating("Fist of Vengence", "AAA.rte");
			local x;
			
			-- All bombs are targeted at enemy actors
			for actor in MovableMan.Actors do
				if actor.ClassName ~= "ADoor" and actor.HitsMOs == true and actor.GetsHitByMOs then
					if actor.Team == enemyteam then
						-- Search for troops on surface
						local shotpos = SceneMan:MovePointToGround(Vector(actor.Pos.X, 0) , 20 , 3);
						local d = SceneMan:ShortestDistance(actor.Pos, shotpos, true).Magnitude;
						
						if d < 30 then
							x = actor.Pos.X;
							--actor:FlashWhite(500)
							break
						end
					end
				end
			end
			
			-- If we could not select target throw at random
			if not x then
				x = math.random(SceneMan.Scene.Width)
			end
			
			-- Check that we don't hit any friendly actors
			for i = 1, 30 do
				local ok = true;
			
				for actor in MovableMan.Actors do
					if actor.Team == ownerteam then
						-- Search for troops on surface
						local shotpos = SceneMan:MovePointToGround(Vector(x, 0) , 20 , 3);
						local d = SceneMan:ShortestDistance(actor.Pos, shotpos, true).Magnitude;
						
						
						-- Check that landing bomb won't hurt troops
						if d < 300 then
							--actor:FlashWhite(250);
							x = math.random(SceneMan.Scene.Width)
							ok = false;
							break;
						end
					end
				end
				
				if ok then
					break;
				end
			end
			
			itm.Pos = Vector(x, -200)
			itm.Vel = Vector(0, 20);
			--itm.RotAngle = math.rad(270)
			
			MovableMan:AddItem(itm);
			self.SuperWeaponTimer:Reset();
		end
	end
end