function Create(self)

	self.speed = 25;
	self.adjustmentAmount = 70;
	self.targetingAdjustmentAmount = 70;

	local raylength = 600;
	local rayPixSpace = 5;

	local dots = math.floor(raylength/rayPixSpace);

	for i = 1, dots do
		local checkPos = self.Pos + Vector(self.Vel.X,self.Vel.Y):SetMagnitude((i/dots)*raylength);
		if SceneMan.SceneWrapsX == true then
			if checkPos.X > SceneMan.SceneWidth then
				checkPos = Vector(checkPos.X - SceneMan.SceneWidth,checkPos.Y);
			elseif checkPos.X < 0 then
				checkPos = Vector(SceneMan.SceneWidth + checkPos.X,checkPos.Y);
			end
		end
		local terrCheck = SceneMan:GetTerrMatter(checkPos.X,checkPos.Y);
		if terrCheck == 0 then
			local moCheck = SceneMan:GetMOIDPixel(checkPos.X,checkPos.Y);
			if moCheck ~= rte.NoMOID then
				local actor = MovableMan:GetMOFromID( MovableMan:GetMOFromID(moCheck).RootID );
				if actor.Team ~= self.Team then
					self.target = actor;
					break;
				end
			end
		else
			self.tPos = checkPos;
			break;
		end
		if i == dots then
			self.tPos = checkPos;
		end
	end

	self.Vel = Vector(self.Vel.X,self.Vel.Y):DegRotate((math.random()*30)-15);

	self.seekerTimer = Timer();
	self.moveTimer = Timer();
	self.lifeTimer = Timer();

	self.seekerDelay = math.floor(100+(math.random()*100));
	
	self.Ammo = 1;

end

function Update(self)

	SceneMan:RevealUnseen(self.Pos.X,self.Pos.Y,self.Team);

	local useAdjust = self.adjustmentAmount;

	if self.target ~= nil and self.target.ID ~= 255 then
		self.tPos = Vector(self.target.Pos.X,self.target.Pos.Y);
		useAdjust = self.targetingAdjustmentAmount;
		self.seekerDelay = 0;
	else
		self.target = nil;
	end

	if self.tPos ~= nil then
		local checkDirB = SceneMan:ShortestDistance(self.Pos,self.tPos,SceneMan.SceneWrapsX);
		local checkDir = checkDirB:SetMagnitude(useAdjust*(self.moveTimer.ElapsedSimTimeMS/1000));
		self.Vel = Vector(self.Vel.X+checkDir.X,self.Vel.Y+checkDir.Y):SetMagnitude(self.speed);

		if self.seekerTimer:IsPastSimMS(self.seekerDelay) and self.target == nil then
			self.seekerTimer:Reset();
			self.seekerDelay = math.floor(1000-(math.random()*1000));
			for actor in MovableMan.Actors do
				if actor.Team ~= self.Team then
					self.potentialtargetdist = SceneMan:ShortestDistance(self.Pos,actor.Pos,SceneMan.SceneWrapsX);
					if (self.lastdist == nil or (self.lastdist ~= nil and self.potentialtargetdist.Magnitude < self.lastdist)) and self.potentialtargetdist.Magnitude <= 500 and SceneMan:CastStrengthRay(self.Pos,self.potentialtargetdist:SetMagnitude(self.potentialtargetdist.Magnitude-actor.Radius),0,Vector(0,0),5,0,SceneMan.SceneWrapsX) == false then
						self.lastdist = self.potentialtargetdist.Magnitude;
						self.target = actor;
						self.lasttargetpos = Vector(self.target.Pos.X,self.target.Pos.Y);
					end
				end
			end
		end
	end


	if self.lifeTimer:IsPastSimMS(3000) then
		self:GibThis();
	end

	local terrCheck = SceneMan:GetTerrMatter(self.Pos.X,self.Pos.Y);
	if terrCheck == 0 then
		local moCheck = SceneMan:GetMOIDPixel(self.Pos.X,self.Pos.Y);
		if moCheck ~= rte.NoMOID then
			local actor = MovableMan:GetMOFromID( MovableMan:GetMOFromID(moCheck).RootID );
			if actor.Team ~= self.Team then
				self:GibThis();
			end
		end
	else
		self:GibThis();
	end

	self.moveTimer:Reset();
	
	if self.Ammo > 0 and self.Age > 50 then
		local target = Vector(0,0);
		if SceneMan:CastObstacleRay(self.Pos,Vector(self.Vel.Normalized.X*self.Vel.Magnitude,self.Vel.Normalized.Y*self.Vel.Magnitude),target,Vector(),self.ID,self.Team,0,0) >= 0 then			
			for actor in MovableMan.Actors do
				if actor.Team ~= self.Team then
					if IsAHuman(actor) or IsACrab(actor) then
						local dist = SceneMan:ShortestDistance(target, actor.Pos, true);
						--print(dist.Magnitude)
						if dist.Magnitude < 50 then
							actor.Health = actor.Health - 6;
							--actor.Vel = actor.Vel + dist.Normalized * 10;
							--actor:AddImpulseForce(Vector(math.random(-100,100),math.random(-100,100)),Vector(0,0))
							actor:FlashWhite(50);
							actor.Vel = Vector(0,0);
							local Effect = CreateAEmitter("SealCount", "AAA.rte");
							Effect.Pos = actor.Pos;
							--Effect:SetWhichMOToNotHit(actor, 0.1)
							Effect.Team = self.Team;
							Effect.Sharpness = actor.RootID;
							Effect.IgnoresTeamHits = true;
							--Add the particle to the world.
							MovableMan:AddParticle(Effect);
						end
					end
				end
			end
			self.Ammo = 0;
		end
	end
	

end

function Destroy(self)
--[[
	if self.Age > 50 then
		for i = 1, 10, 1 do
			local missile = CreateMOPixel("Magic Missile Damage Particle", "AAA.rte");
			if missile then
				missile.Team = self.Team;
				missile.IgnoresTeamHits = true;
				missile.Pos = self.Pos;
				missile.Vel = Vector(40 + math.random() * 10,0):RadRotate(math.random()*2*math.pi);
				MovableMan:AddParticle(missile);
			end
		end
	end]]
	
	
end