function Create(self)
	self.HealTimer = Timer()
	self.HealTimer:SetSimTimeLimitMS(250)
end

function Update(self)
	if self.HealTimer:IsPastSimTimeLimit() then
		self.HealTimer:Reset()
		
		if self.HealTarget then
			-- Check if we can see our target
			local targetFound = false
			if MovableMan:IsActor(self.HealTarget) and self.HealTarget:GetNumberValue("Mana") < self.HealTarget:GetNumberValue("Max Mana") and self.HealTarget.Vel.Largest < 6 then
				local Trace = SceneMan:ShortestDistance(self.Pos, self.HealTarget.Pos, false)
				if Trace.Magnitude - self.HealTarget.Radius < 100 then
					--if SceneMan:CastObstacleRay(self.EyePos, Trace, Vector(), Vector(), self.ID, self.IgnoresWhichTeam, rte.grassID, 5) < 0 then
						-- We have LOS to the target
						targetFound = true
					--end
				end
			end
			
			if targetFound then
				-- Start healing
				--self.HealTarget.Health = math.min(self.HealTarget.Health+1, 100)

				local flicker = CreateAEmitter("AAA.rte/Flymana");
				if flicker then
					flicker.Pos = self.Pos + Vector(math.random(0,20),0):RadRotate(math.random() * 2 * math.pi);
					flicker.Sharpness = self.HealTarget.ID;
					MovableMan:AddParticle(flicker);
				end

				
			else
				self.HealTarget = nil
			end
		else
			-- Look for actors to heal
			for Act in MovableMan.Actors do
				if Act:NumberValueExists("Mana") and Act:GetNumberValue("Mana") < Act:GetNumberValue("Max Mana") and Act.Vel.Largest < 4 then
					local Trace = SceneMan:ShortestDistance(self.Pos, Act.Pos, false)
					if Trace.Magnitude - Act.Radius < 80 then
						--if SceneMan:CastObstacleRay(self.EyePos, Trace, Vector(), Vector(), self.ID, self.IgnoresWhichTeam, 0, 3) < 0 then
							-- We have LOS to this actor
							self.HealTarget = Act
							break
						--end
					end
				end
			end
		end
	end
end
