function Explosion(actor, target)

	local explosion = CreateMOSRotating("Particle Large Spell Explosion", "AAA.rte");
	explosion.Pos = target;
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
	explosion:GibThis();	

end

function Lightning(actor, target)
	
	local cood = Vector(0,0);
	local hor = target.X;
	if SceneMan:CastNotMaterialRay(Vector(hor,-200), Vector(0,2000), 0, cood, 0, true) == true then
		local explosion = CreateMOPixel("Lightning Glow", "AAA.rte");
		explosion.Pos = cood + Vector(0, -0);
		explosion.Vel = Vector(0,0);
		MovableMan:AddParticle(explosion);

		local PlayedSound = CreateAEmitter("Lightning Sound Emitter");
		PlayedSound.Pos = cood;
		MovableMan:AddParticle(PlayedSound);
		
		for i = 1, 200 do
			local number = math.random (1, 3);
			local name = "Lightning Hurtful"
			if (number <= 1) then
				name = "Lightning Hurtful";
			elseif (number <= 2) then
				name = "Lightning Light Hurtful";
			else
				name = "Lightning Sparkle Hurtful";
			end
			local explosion = CreateMOPixel(name, "AAA.rte");
			explosion.Pos = cood + Vector(math.random(-10,10),math.random(-10,10));
			explosion.Vel = Vector(70 + math.random() * 70,0):RadRotate(math.random() * 2 * math.pi);
			MovableMan:AddParticle(explosion);
		end
	end
	
end

function Burn(actor, target)
	local explosion = CreateMOSRotating("Particle Flare Explosion", "AAA.rte");
	explosion.Pos = target + Vector(0,-6);
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
	explosion:GibThis();
	local explosion = CreateMOSRotating("Particle Large Burn Explosion", "AAA.rte");
	explosion.Pos = target + Vector(0,-6);
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
	--explosion:GibThis();
	--return nil
end

function ManaBurn(actor, target)
	local explosion = CreateMOSRotating("Particle Mana Flare Explosion", "AAA.rte");
	explosion.Pos = target + Vector(0,-6);
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
	explosion:GibThis();
	local explosion = CreateMOSRotating("Particle Large Mana Burn Explosion", "AAA.rte");
	explosion.Pos = target + Vector(0,-6);
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
	explosion:GibThis();
	--return nil
end

function Firebolt(actor, position, angle, team)
	--for i = 1, math.max(math.floor(actor.spellpower / 20), 0), 1 do
		local PlayedSound = CreateAEmitter("Flare Sound Emitter");
		PlayedSound.Pos = position;
		MovableMan:AddParticle(PlayedSound);
		local missile = CreateAEmitter("Fire Bolt", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(40 + math.random() * 10,0):RadRotate(angle + 0.04 - math.random() / 12.5);
		if actor ~= nil then
			missile.Vel = missile.Vel + actor.Vel;
		end
		MovableMan:AddParticle(missile);
	--end
	--return nil
end

function WaterWave(actor, position, angle, team)
	--for i = 1, math.max(math.floor(actor.spellpower / 20), 0), 1 do
		local PlayedSound = CreateAEmitter("Flare Sound Emitter");
		PlayedSound.Pos = position;
		MovableMan:AddParticle(PlayedSound);
		local missile = CreateAEmitter("WaterWave Head", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(40,0):RadRotate(angle + 0.04 - math.random() / 12.5);
		if actor ~= nil then
			missile.Vel = missile.Vel + actor.Vel;
		end
		MovableMan:AddParticle(missile);
	--end
	--return nil
end

function RockPunch(actor, position, angle, team)
	local PlayedSound = CreateAEmitter("Stone Sound Emitter");
	PlayedSound.Pos = position;
	MovableMan:AddParticle(PlayedSound);
	if actor ~= nil then
		if actor.HFlipped == false then
			local missile = CreateMOSRotating("Rock Punch Right", "AAA.rte");
			missile.Team = team;
			missile.IgnoresTeamHits = true;
			missile.Pos = position; --actor.EquippedItem.Pos;
			missile.Vel = Vector(60,0):RadRotate(angle + 0.04 - math.random() / 12.5);
			missile.Vel = missile.Vel + actor.Vel;
			MovableMan:AddParticle(missile);
		else 
			local missile = CreateMOSRotating("Rock Punch Left", "AAA.rte");
			missile.Team = team;
			missile.IgnoresTeamHits = true;
			missile.Pos = position; --actor.EquippedItem.Pos;
			missile.Vel = Vector(60,0):RadRotate(angle + 0.04 - math.random() / 12.5);
			missile.Vel = missile.Vel + actor.Vel;
			MovableMan:AddParticle(missile);
		end
	else
		local missile = CreateMOSRotating("Rock Punch Right", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(60,0):RadRotate(angle + 0.04 - math.random() / 12.5);
		MovableMan:AddParticle(missile);
	end
end

function Arcticlance(actor, position, angle, team)
	--for i = 1, math.max(math.floor(actor.spellpower / 20), 0), 1 do
		local PlayedSound = CreateAEmitter("Spike Sound Emitter");
		PlayedSound.Pos = position;
		MovableMan:AddParticle(PlayedSound);
		local missile = CreateMOSRotating("Arctic Lance", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(50,0):RadRotate(angle);
		if actor ~= nil then
			missile.Vel = missile.Vel + actor.Vel;
		end
		MovableMan:AddParticle(missile);
	--end
	--return nil
end

function Icebarrage(actor, position, angle, team)
	--for i = 1, math.max(math.floor(actor.spellpower / 20), 0), 1 do
		local missile = CreateAEmitter("Ice Shard Emitter", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(0,0);
		missile.RotAngle = angle;
		MovableMan:AddParticle(missile);
	--end
	--return nil
end

function Fireball(actor, position, angle, team)
	--for i = 1, math.max(math.floor(actor.spellpower / 20), 0), 1 do
		local missile = CreateAEmitter("Fireball", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(25 + math.random() * 5,0):RadRotate(angle + 0.05 - math.random() / 10);
		if actor ~= nil then
			missile.Vel = missile.Vel + actor.Vel;
		end
		MovableMan:AddParticle(missile);
		for i = 1, 3, 1 do
			local missile = CreateAEmitter("Fireballbolt", "AAA.rte");
			missile.Team = team;
			missile.IgnoresTeamHits = true;
			missile.Pos = position; --actor.EquippedItem.Pos;
			missile.Vel = Vector(25 + math.random() * 5,0):RadRotate(angle + 0.1 - math.random() / 5);
			if actor ~= nil then
				missile.Vel = missile.Vel + actor.Vel;
			end
			MovableMan:AddParticle(missile);
		end
	--end
	--return nil
end

function Twister(actor, position, angle, team)
	--for i = 1, math.max(math.floor(actor.spellpower / 33), 0), 1 do
		local missile = CreateAEmitter("Twister", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(15 + math.random() * 10,0):RadRotate(angle + 0.025 - math.random() / 20);
		if actor ~= nil then
			missile.Vel = missile.Vel + actor.Vel;
		end
		MovableMan:AddParticle(missile);
	--end
	--return nil
end

function FireWheel(actor, position, angle, team)
	--for i = 1, math.max(math.floor(actor.spellpower / 100), 0), 1 do
		local missile = CreateMOSRotating("Fire Wheel", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(20 + math.random() * 5,0):RadRotate(angle + 0.01 - math.random() / 50); --actor:GetAimAngle(true)
		if actor ~= nil then
			missile.Vel = missile.Vel + actor.Vel;
		end
		MovableMan:AddParticle(missile);
	--end
	--return nil
end

function DeathRay(actor, position, angle, team)
	local target = Vector(0,0);
	local id = -1;
	if IsActor(actor) then
		id = actor.RootID;
	end
	if SceneMan:CastObstacleRay(position, Vector(1000,0):RadRotate(angle), target, Vector(), id, team, 128, 1) >= 0 then
	--if SceneMan:CastNotMaterialRay(position, Vector(700,0):RadRotate(angle), 0, target, 0, false) == true then
		local PlayedSound = CreateAEmitter("Ray Sound Emitter");
		PlayedSound.Pos = target;
		MovableMan:AddParticle(PlayedSound);
		local dist = math.sqrt((target.X-position.X)^2+(target.Y-position.Y)^2);
		--print(dist);
		for i = 2, math.floor(dist/4), 1 do
			local explosive = CreateMOPixel("Death Laser Particle Glow", "AAA.rte");
			explosive.Pos = position+Vector(4*i,0):RadRotate(angle);
			explosive.Vel = Vector(0,0);
			MovableMan:AddParticle(explosive)
			--explosive:GibThis();
			local missile = CreateMOPixel("Death Laser Particle Small", "AAA.rte");
			missile.Pos = position+Vector(4*i,0):RadRotate(angle);
			missile.Vel = Vector(12,0):RadRotate(math.random()*2*math.pi);
			--missile:SetWhichMOToNotHit(actor, 0.1)
			missile.Team = team;
			missile.IgnoresTeamHits = true;
			--if MovableMan:IsActor(Parent) then
			--	missile.Team = ToActor(Parent).Team;
			--	missile.IgnoresTeamHits = true;
			--end
			MovableMan:AddParticle(missile)
		end
		local explosion = CreateMOPixel("Death Ray Impact Glow", "AAA.rte");
		explosion.Pos = target;
		explosion.Vel = Vector(0, 0);
		MovableMan:AddParticle(explosion);
		local sel = MovableMan:GetClosestEnemyActor(team, target, 35, Vector());
		if sel ~= nil then
			sel.Health = sel.Health - math.random(45, 70);
			if sel.Health <= 15 then
				sel.Health = -4444;
				sel:GibThis();
			else
				local Effect = CreateAEmitter("DoomCount", "AAA.rte");
				Effect.Pos = sel.Pos;
				--Effect:SetWhichMOToNotHit(actor, 0.1)
				Effect.Team = team;
				Effect.Sharpness = sel.RootID;
				Effect.IgnoresTeamHits = true;
				--Add the particle to the world.
				MovableMan:AddParticle(Effect);
			end
		end
	else
		local PlayedSound = CreateAEmitter("Ray Sound Emitter");
		PlayedSound.Pos = position+Vector(1000,0):RadRotate(angle);
		MovableMan:AddParticle(PlayedSound);
		for i = 2, 250, 1 do
			local explosive = CreateMOPixel("Death Laser Particle Glow", "AAA.rte");
			explosive.Pos = position+Vector(4*i,0):RadRotate(angle);
			explosive.Vel = Vector(0,0);
			MovableMan:AddParticle(explosive)
			--explosive:GibThis();
			local missile = CreateMOPixel("Death Laser Particle Small", "AAA.rte");
			missile.Pos = position+Vector(4*i,0):RadRotate(angle);
			missile.Vel = Vector(12,0):RadRotate(math.random()*2*math.pi);
			--missile:SetWhichMOToNotHit(actor, 0.1)
			missile.Team = team;
			missile.IgnoresTeamHits = true;
			--if MovableMan:IsActor(Parent) then
			--	missile.Team = ToActor(Parent).Team;
			--	missile.IgnoresTeamHits = true;
			--end
			MovableMan:AddParticle(missile)
		end
	end
	--return nil
end

function Boulder(actor, position, angle, team)
	local PlayedSound = CreateAEmitter("Stone Sound Emitter");
	PlayedSound.Pos = position;
	MovableMan:AddParticle(PlayedSound);
	if actor ~= nil then
		if actor.HFlipped == false then
			local missile = CreateMOSRotating("Boulder Right", "AAA.rte");
			missile.Team = team;
			--missile.IgnoresTeamHits = true;
			missile.Pos = position + Vector(20 + math.random() * 5,0):RadRotate(angle + 0.01 - math.random() / 50); --actor.EquippedItem.Pos;
			missile.Vel = actor.Vel + Vector(20 + math.random() * 5,0):RadRotate(angle + 0.01 - math.random() / 50);
			MovableMan:AddParticle(missile);
		else 
			local missile = CreateMOSRotating("Boulder Left", "AAA.rte");
			missile.Team = team;
			--missile.IgnoresTeamHits = true;
			missile.Pos = position + Vector(20 + math.random() * 5,0):RadRotate(angle + 0.01 - math.random() / 50); --actor.EquippedItem.Pos;
			missile.Vel = actor.Vel + Vector(20 + math.random() * 5,0):RadRotate(angle + 0.01 - math.random() / 50);
			MovableMan:AddParticle(missile);
		end
	else
		local tester = Vector(20,0):RadRotate(angle);
		if tester.X > 4 then
			local missile = CreateMOSRotating("Boulder Right", "AAA.rte");
			missile.Team = team;
			--missile.IgnoresTeamHits = true;
			missile.Pos = position + Vector(20 + math.random() * 5,0):RadRotate(angle + 0.01 - math.random() / 50); --actor.EquippedItem.Pos;
			missile.Vel = Vector(20 + math.random() * 5,0):RadRotate(angle + 0.01 - math.random() / 50);
			MovableMan:AddParticle(missile);
		elseif tester.X < -4 then
			local missile = CreateMOSRotating("Boulder Left", "AAA.rte");
			missile.Team = team;
			--missile.IgnoresTeamHits = true;
			missile.Pos = position + Vector(20 + math.random() * 5,0):RadRotate(angle + 0.01 - math.random() / 50); --actor.EquippedItem.Pos;
			missile.Vel = Vector(20 + math.random() * 5,0):RadRotate(angle + 0.01 - math.random() / 50);
			MovableMan:AddParticle(missile);
		else
			local missile = CreateMOSRotating("Boulder", "AAA.rte");
			missile.Team = team;
			--missile.IgnoresTeamHits = true;
			missile.Pos = position; --actor.EquippedItem.Pos;
			missile.Vel = Vector(20 + math.random() * 5,0):RadRotate(angle + 0.01 - math.random() / 50);
			MovableMan:AddParticle(missile);
		end
	end
	--return nil
end

function FOV(actor, target)
	local explosion = CreateMOSRotating("Fist of Vengence", "AAA.rte");
	explosion.Pos.X = target.X;
	explosion.Pos.Y = -200;
	explosion.Vel = Vector(0,20);
	MovableMan:AddParticle(explosion);
	--return nil
end

function Acidrain(actor, target)
	local explosion = CreateAEmitter("Acid Rune", "AAA.rte");
	explosion.Pos = target + Vector(0,-6);
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
end

function Upheaval(actor, target)
	local explosion = CreateAEmitter("Upheaval Rune", "AAA.rte");
	explosion.Pos = target + Vector(0,-6);
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
end

function Blizzard(actor, target)
	local explosion = CreateAEmitter("Blizzard Rune", "AAA.rte");
	explosion.Pos = target + Vector(0,-6);
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
end

function Bombardment(actor, target)
	local explosion = CreateAEmitter("Meteor Rune", "AAA.rte");
	explosion.Pos = target + Vector(0,-6);
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
end

function Meteor(actor, target)
	local explosion = CreateAEmitter("Meteor Ball", "AAA.rte");
	explosion.Pos.X = target.X;
	explosion.Pos.Y = -200;
	explosion.Vel = Vector(0,20);
	MovableMan:AddParticle(explosion);
	--return nil
end

function Storm(actor, target)
	local explosion = CreateAEmitter("Storm Rune", "AAA.rte");
	explosion.Pos = target + Vector(0,-6);
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
end

function Clash(actor, target)
	local explosion = CreateAEmitter("Clash Rune", "AAA.rte");
	explosion.Pos = target + Vector(0,-6);
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
end

function Revolution(actor, target)
	local explosion = CreateAEmitter("Revolution Rune", "AAA.rte");
	explosion.Pos = target + Vector(0,-6);
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
end

function Mjolnir(actor, target)
	local explosion = CreateAEmitter("Mjolnir Rune", "AAA.rte");
	explosion.Pos = target + Vector(0,-6);
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
end

function EarthWall(actor, position, angle)
	--print(position);
	--print(actor);
	print(angle);
	if actor ~= nil then
		actor.Vel = Vector(0,0);
	end
	local PlayedSound = CreateAEmitter("Wall Sound Emitter");
	PlayedSound.Pos = position;
	MovableMan:AddParticle(PlayedSound);
	for i = 0, 12, 1 do
		local target = Vector(0,0);
		if SceneMan:CastNotMaterialRay(position, Vector(70,0):RadRotate(angle - 0.5 * math.pi + i / 12 * math.pi), 0, target, 0, false) == false then
			local explosion = CreateMOSRotating("Earth Wall", "AAA.rte");
			explosion.Pos = position + Vector(70, 0):RadRotate(angle - 0.5 * math.pi + i / 12 * math.pi)
			explosion.Vel = Vector(0,0);
			explosion.RotAngle = math.random(2*math.pi);
			MovableMan:AddParticle(explosion);
			explosion.ToSettle = true;
		end
	end
	for i = 0, 8, 1 do
		local target = Vector(0,0);
		if SceneMan:CastNotMaterialRay(position, Vector(45,0):RadRotate(angle - 0.5 * math.pi + i / 8 * math.pi), 0, target, 0, false) == false then
			local explosion = CreateMOSRotating("Earth Wall", "AAA.rte");
			explosion.Pos = position + Vector(45, 0):RadRotate(angle - 0.5 * math.pi + i / 8 * math.pi)
			explosion.Vel = Vector(0,0);
			explosion.RotAngle = math.random(2*math.pi);
			MovableMan:AddParticle(explosion);
			explosion.ToSettle = true;
		end
	end
	--return nil
end

function RaiseDead(actor, target, team)
	local explosion = CreateMOSRotating("Particle Summon Explosion", "AAA.rte");
	explosion.Pos = target + Vector(0,-6);
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
	explosion:GibThis();
	
	local PlayedSound = CreateAEmitter("Summon Sound Emitter");
	PlayedSound.Pos = target;
	MovableMan:AddParticle(PlayedSound);
	
	--local number = math.random (1,4);
	local name = "Raised Skeleton";
	local number = math.random (1,4);
	if actor ~= nil then
		if ToActor(actor):GetNumberValue("Element") > 0 and ToActor(actor):GetNumberValue("Element") <= 4 then
			number = ToActor(actor):GetNumberValue("Element");
		end
	end
	if (number == 3) then
		name = "Skeleton Fire";
	elseif (number == 4) then
		name = "Skeleton Cold";
	elseif (number == 1) then
		name = "Skeleton Lightning";
	elseif (number == 2) then
		name = "Skeleton Poison";
	end
	local summon = CreateAHuman(name, "AAA.rte");
	summon.Team = team;
	summon.Pos = target;
	summon.Vel = Vector(0,0);
	if math.random(1,2) == 2 then
		summon.HFlipped = true;
	end
	
	if actor ~= nil then
		summon.AIMode = actor.AIMode;
	else
		summon.AIMode = Actor.AIMODE_SENTRY;
	end
	MovableMan:AddActor(summon);
	summon:FlashWhite(200);
	
	local pylon = 0;
	for tester in MovableMan.Actors do
		if ToActor(tester):NumberValueExists("Summon") then
			if tester.Team == team then
				pylon = pylon - ToActor(tester):GetNumberValue("Summon");
			end
		end
	end
	--print(pylon);
	if pylon < 0 then
		summon.Health = -4444;
	end
	--return nil
end

function WarpShift(actor, target, team)
	local sel = MovableMan:GetClosestEnemyActor(team, target, 50, Vector());
	if sel ~= nil then
		if actor ~= nil then
			if IsADoor(sel) then
				ActivityMan:GetActivity():SwitchToActor(ToActor(sel),ToActor(actor):GetController().Player,team);
			else
				if sel:HasObjectInGroup("Brains") then
					if IsAHuman(sel) and ToAHuman(sel).Head ~= nil then
						ToAHuman(sel).Head:Detach();
					else
						sel:GibThis();
					end
					if  IsAHuman(actor) and ToAHuman(actor).Head ~= nil then
						ToAHuman(actor).Head:Detach();
					else
						actor:GibThis();
					end
				else
					ActivityMan:GetActivity():SwitchToActor(ToActor(sel),ToActor(actor):GetController().Player,-1);
				end
			end
			sel:GetController():SetState(Controller.BODY_CROUCH,true);
			sel.Health = sel.Health - 5;
			sel:FlashWhite(250);
			actor.Health = actor.Health - 1;
			actor:FlashWhite(250);
			local PlayedSound = CreateAEmitter("Dominate Sound Emitter");
			PlayedSound.Pos = sel.Pos;
			MovableMan:AddParticle(PlayedSound);
		end
	end
	for i = 1, 60 do
		Effect = CreateMOPixel("Nova Mass", "AAA.rte");
		if Effect then
			Effect.Vel = Vector(85 + math.random() * 15,0):RadRotate(math.random() * 2 * math.pi);
			--if actor ~= nil then
			--	Effect.Vel = Effect.Vel + actor.Vel;
			--end
			Effect.Pos = position;
			--Effect:SetWhichMOToNotHit(self, 0.1);
			Effect.Team = team;
			Effect.IgnoresTeamHits = true;
			MovableMan:AddParticle(Effect);
		end
		Effect = CreateMOPixel("Nova Hurtful", "AAA.rte");
		if Effect then
			Effect.Vel = Vector(85 + math.random() * 15,0):RadRotate(math.random() * 2 * math.pi);
			--if actor ~= nil then
			--	Effect.Vel = Effect.Vel + actor.Vel;
			--end
			Effect.Pos = position;
			--Effect:SetWhichMOToNotHit(self, 0.1);
			Effect.Team = team;
			Effect.IgnoresTeamHits = true;
			MovableMan:AddParticle(Effect);
		end
	end
		
	local explosion = CreateMOSRotating("Particle Nova Explosion", "AAA.rte");
	explosion.Pos = position;
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
	explosion:GibThis();	
	--return nil
	if actor ~= nil then
		local egg = CreateACRocket("Summoning Glyph", "AAA.rte");
		egg.Team = team;
		egg.Pos = actor.Pos + Vector(0,-6);
		egg.Vel = Vector(0,0);
		MovableMan:AddParticle(egg);
	end
end

function RaiseDummy(actor, target)
	local explosion = CreateMOSRotating("Particle Summon Explosion", "AAA.rte");
	explosion.Pos = target + Vector(0,-6);
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
	explosion:GibThis();
	
	local PlayedSound = CreateAEmitter("Summon Sound Emitter");
	PlayedSound.Pos = target;
	MovableMan:AddParticle(PlayedSound);

	local summon = CreateAHuman("Dummy");
	summon.Team = -1;
	summon.Pos = target;
	summon.Vel = Vector(0,0);
	if math.random(1,2) == 2 then
		summon.HFlipped = true;
	end
	summon.AIMode = Actor.AIMODE_SENTRY;
	MovableMan:AddActor(summon);
	summon:FlashWhite(200);
	ActivityMan:GetActivity():SwitchToActor(ToActor(summon),ToActor(actor):GetController().Player,-1);
	
	PresetMan:ReloadAllScripts();
	--explosion:GibThis();
	--return nil
end

function Mitosis(actor)
	local explosion = CreateMOSRotating("Particle Summon Explosion", "AAA.rte");
	explosion.Pos = actor.Pos + Vector(0,-6);
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
	explosion:GibThis();
	
	--local PlayedSound = CreateAEmitter("Summon Sound Emitter");
	--PlayedSound.Pos = actor.Pos;
	--MovableMan:AddParticle(PlayedSound);
end

function Reincarnation(actor)
	if actor ~= nil then
		local explosion = CreateMOSRotating("Particle Summon Explosion", "AAA.rte");
		explosion.Pos = actor.Pos + Vector(0,-6);
		explosion.Vel = Vector(0,0);
		MovableMan:AddParticle(explosion);
		explosion:GibThis();
	end
end

function Summon(actor, target, team)
	if actor ~= nil then
		local egg = CreateACRocket("Summoning Glyph", "AAA.rte");
		egg.Team = team;
		egg.Pos = actor.Pos + Vector(0,-6);
		egg.Vel = Vector(0,0);
		MovableMan:AddParticle(egg);
	else
		local egg = CreateACRocket("Summoning Glyph", "AAA.rte");
		egg.Team = team;
		egg.Pos = target + Vector(0,-6);
		egg.Vel = Vector(0,0);
		MovableMan:AddParticle(egg);
	end
end

function Blink(actor, target, team)
	if actor ~= nil then
		local explosion = CreateMOSRotating("Particle Blink Explosion", "AAA.rte");
		explosion.Pos = actor.Pos + Vector(0,-6);
		explosion.Vel = Vector(0,-20);
		MovableMan:AddParticle(explosion);
		explosion:GibThis();

		actor.Pos = target;
		actor.Vel = Vector(0,0);
		ToActor(actor):FlashWhite(200);
		
		for tester in MovableMan.Particles do
			if tester.PresetName == "Summoning Glyph" then
				if tester.Team == team then
					actor.Pos = tester.Pos;
					break;
				end
			end
		end
		
		local explosion = CreateMOSRotating("Particle Blink Explosion", "AAA.rte");
		explosion.Pos = actor.Pos + Vector(0,-6);
		explosion.Vel = Vector(0,-20);
		MovableMan:AddParticle(explosion);
		explosion:GibThis();
		--return nil
	end
end

function Heal(actor)
	if actor ~= nil then
		local flicker = CreateAEmitter("AAA.rte/Flyblood");
		if flicker then
			flicker.Pos = actor.Pos + Vector(math.random(40,100),0):RadRotate(math.random() * 2 * math.pi);
			flicker.Sharpness = actor.ID;
			MovableMan:AddParticle(flicker);
		end
		--actor.Health = math.min(actor.Health + 70, 100);
		--actor:RemoveAnyRandomWounds(8);
		--Create the particle.
		--part = CreateMOSParticle("Particle Heal Effect");
		--Set the particle's position to just over the actor's head.
		--part.Pos = actor.AboveHUDPos + Vector(0,4);
		--Add the particle to the world.
		--MovableMan:AddParticle(part);
		--return nil
	end
end

function Restore(actor)
	if actor ~= nil then
		for i = 1, 20, 1 do
			local flicker = CreateAEmitter("AAA.rte/Flyblood");
			if flicker then
				flicker.Pos = actor.Pos + Vector(math.random(40,100),0):RadRotate(math.random() * 2 * math.pi);
				flicker.Sharpness = actor.ID;
				MovableMan:AddParticle(flicker);
			end
		end
		--actor.Health = math.min(actor.Health + 70, 100);
		--actor:RemoveAnyRandomWounds(8);
		--Create the particle.
		--part = CreateMOSParticle("Particle Heal Effect");
		--Set the particle's position to just over the actor's head.
		--part.Pos = actor.AboveHUDPos + Vector(0,4);
		--Add the particle to the world.
		--MovableMan:AddParticle(part);
		--return nil
	end
end

function Warmth(actor)
	if actor ~= nil then
		for i = 1, 20, 1 do
			local flicker = CreateAEmitter("AAA.rte/Flymana");
			if flicker then
				flicker.Pos = actor.Pos + Vector(math.random(40,100),0):RadRotate(math.random() * 2 * math.pi);
				flicker.Sharpness = actor.ID;
				MovableMan:AddParticle(flicker);
			end
		end
		--actor.Health = math.min(actor.Health + 70, 100);
		--actor:RemoveAnyRandomWounds(8);
		--Create the particle.
		--part = CreateMOSParticle("Particle Heal Effect");
		--Set the particle's position to just over the actor's head.
		--part.Pos = actor.AboveHUDPos + Vector(0,4);
		--Add the particle to the world.
		--MovableMan:AddParticle(part);
		--return nil
	end
end

function Barrier(actor, team)
	--Create the particle.
	if actor ~= nil then
	--	local PlayedSound = CreateAEmitter("Barrier Sound Emitter");
	--	PlayedSound.Pos = actor.Pos;
	--	MovableMan:AddParticle(PlayedSound);
		local Effect = CreateAEmitter("ManaBarrier", "AAA.rte");
		Effect.Pos = actor.Pos;
		--Effect:SetWhichMOToNotHit(actor, 0.1)
		Effect.Team = team;
		Effect.Sharpness = actor.RootID;
		Effect.IgnoresTeamHits = true;
		--Add the particle to the world.
		MovableMan:AddParticle(Effect);
	end
end

function Shell(actor, team)
	--Create the particle.
	if actor ~= nil then
	--	local PlayedSound = CreateAEmitter("Barrier Sound Emitter");
	--	PlayedSound.Pos = actor.Pos;
	--	MovableMan:AddParticle(PlayedSound);
		local Effect = CreateAEmitter("ManaShell", "AAA.rte");
		Effect.Pos = actor.Pos;
		--Effect:SetWhichMOToNotHit(actor, 0.1)
		Effect.Team = team;
		Effect.Sharpness = actor.RootID;
		Effect.IgnoresTeamHits = true;
		--Add the particle to the world.
		MovableMan:AddParticle(Effect);
	end
end

function Petrify(actor, team)
	--Create the particle.
	if actor ~= nil then
	--	local PlayedSound = CreateAEmitter("Barrier Sound Emitter");
	--	PlayedSound.Pos = actor.Pos;
	--	MovableMan:AddParticle(PlayedSound);
		local Effect = CreateMOSRotating("Stoned Stone", "AAA.rte");
		Effect.Pos = actor.Pos;
		Effect:SetWhichMOToNotHit(actor, 0.1)
		Effect.Team = team;
		Effect.Sharpness = actor.RootID;
		--Effect.IgnoresTeamHits = true;
		--Add the particle to the world.
		MovableMan:AddParticle(Effect);
	end
end

function Levitate(actor, team)
	--Create the particle.
	if actor ~= nil then
	--	local PlayedSound = CreateAEmitter("Barrier Sound Emitter");
	--	PlayedSound.Pos = actor.Pos;
	--	MovableMan:AddParticle(PlayedSound);
		local Effect = CreateAEmitter("LevPlat", "AAA.rte");
		Effect.Pos = actor.Pos;
		--Effect:SetWhichMOToNotHit(actor, 0.1)
		Effect.Team = team;
		Effect.Sharpness = actor.RootID;
		Effect.IgnoresTeamHits = true;
		--Add the particle to the world.
		MovableMan:AddParticle(Effect);
	end
end

function Regen(actor)
	--Create the particle.
	if actor ~= nil then
	--	local PlayedSound = CreateAEmitter("Barrier Sound Emitter");
	--	PlayedSound.Pos = actor.Pos;
	--	MovableMan:AddParticle(PlayedSound);
		local Effect = CreateAEmitter("RegenCount", "AAA.rte");
		Effect.Pos = actor.Pos;
		--Effect:SetWhichMOToNotHit(actor, 0.1)
		Effect.Team = actor.Team;
		Effect.Sharpness = actor.RootID;
		Effect.IgnoresTeamHits = true;
		--Add the particle to the world.
		MovableMan:AddParticle(Effect);
	end
end

function Remedy(actor)
	--Create the particle.
	if actor ~= nil then
	--	local PlayedSound = CreateAEmitter("Barrier Sound Emitter");
	--	PlayedSound.Pos = actor.Pos;
	--	MovableMan:AddParticle(PlayedSound);
		local Effect = CreateAEmitter("RegenCount", "AAA.rte");
		Effect.Pos = actor.Pos;
		--Effect:SetWhichMOToNotHit(actor, 0.1)
		Effect.Team = actor.Team;
		Effect.Sharpness = actor.RootID;
		Effect.IgnoresTeamHits = true;
		--Add the particle to the world.
		MovableMan:AddParticle(Effect);
		
		--remove all debuff, prevent debuff buff for 15 sec
		
	end
end

function Froststar(actor, team)
	--Create the particle.
	if actor ~= nil then
	--	local PlayedSound = CreateAEmitter("Barrier Sound Emitter");
	--	PlayedSound.Pos = actor.Pos;
	--	MovableMan:AddParticle(PlayedSound);
		local Effect = CreateAEmitter("FrostStar", "AAA.rte");
		Effect.Pos.X = actor.Pos.X;
		Effect.Pos.Y = -200;
		--Effect:SetWhichMOToNotHit(actor, 0.1)
		Effect.Team = team;
		Effect.Sharpness = actor.RootID;
		Effect.IgnoresTeamHits = true;
		--Add the particle to the world.
		MovableMan:AddParticle(Effect);
	end
end

function Geyser(actor, target)
	local cood = Vector(0,0);
	if SceneMan:CastNotMaterialRay(target, Vector(0,800), 0, cood, 0, false) == true then

		local explosion = CreateAEmitter("Geyser", "AAA.rte");
		explosion.Pos = cood + Vector(0,10);
		explosion.Vel = Vector(0,0);
		explosion.Team = -2;
		explosion.IgnoresTeamHits = false;
		MovableMan:AddParticle(explosion);
		--return nil
	end
end

function Firespout(actor, target)
	local cood = Vector(0,0);
	if SceneMan:CastNotMaterialRay(target, Vector(0,800), 0, cood, 0, false) == true then
		--local PlayedSound = CreateAEmitter("FireballCast Sound Emitter");
		--PlayedSound.Pos = target;
		--MovableMan:AddParticle(PlayedSound);
		local explosion = CreateAEmitter("Firespout", "AAA.rte");
		explosion.Pos = cood + Vector(0,10);
		explosion.Vel = Vector(0,0);
		explosion.Team = -2;
		explosion.IgnoresTeamHits = false;
		MovableMan:AddParticle(explosion);
	--return nil
	end
end

function Firebeam(actor, position, angle, team)
		--local PlayedSound = CreateAEmitter("FireballCast Sound Emitter");
		--PlayedSound.Pos = target;
		--MovableMan:AddParticle(PlayedSound);
		local missile = CreateAEmitter("Firebeam", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(0,0);
		missile.RotAngle = angle;
		MovableMan:AddParticle(missile);
	--return nil
	
end

function AirBolt(actor, position, angle, team)
	--for i = 1, math.max(math.floor(actor.spellpower / 20), 0), 1 do
	--	local PlayedSound = CreateAEmitter("Release Sound Emitter");
	--	PlayedSound.Pos = position;
	--	MovableMan:AddParticle(PlayedSound);
		local missile = CreateAEmitter("Air Bolt", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(45 + math.random() * 10,0):RadRotate(angle + 0.01 - math.random() / 50);
		if actor ~= nil then
			missile.Vel = missile.Vel + actor.Vel;
		end
		MovableMan:AddParticle(missile);
		local missile = CreateMOPixel("Air Fragment", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(45 + math.random() * 10,0):RadRotate(angle + 0.01 - math.random() / 50);
		if actor ~= nil then
			missile.Vel = missile.Vel + actor.Vel;
		end
		MovableMan:AddParticle(missile);
	--end
	--return nil
end

function Shockorb(actor, position, angle, team)
	--for i = 1, math.max(math.floor(actor.spellpower / 20), 0), 1 do
	--	local PlayedSound = CreateAEmitter("Release Sound Emitter");
	--	PlayedSound.Pos = position;
	--	MovableMan:AddParticle(PlayedSound);
		local missile = CreateMOSRotating("Lightning Orb", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(45 + math.random() * 10,0):RadRotate(angle + 0.1 - math.random() / 5);
		if actor ~= nil then
			missile.Vel = missile.Vel + actor.Vel;
		end
		MovableMan:AddParticle(missile);
	--end
	--return nil
end

function Acidblast(actor, position, angle, team)
	for i = 1, 6 do
		local missile = CreateMOSRotating("Acid Spit", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(45 + math.random() * 15,0):RadRotate(angle + 0.1 - math.random() / 5);
		if actor ~= nil then
			missile.Vel = missile.Vel + actor.Vel;
		end
		MovableMan:AddParticle(missile);
	end
end


function Arrow(actor, position, angle, team)
	--for i = 1, math.max(math.floor(actor.spellpower / 20), 0), 1 do
		local PlayedSound = CreateAEmitter("Arrow Sound Emitter");
		PlayedSound.Pos = position;
		MovableMan:AddParticle(PlayedSound);
		local missile = CreateMOSRotating("Arrow Shard", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(70,0):RadRotate(angle + 0.002 - math.random() / 250);
		if actor ~= nil then
			missile.Vel = missile.Vel + actor.Vel;
		end
		MovableMan:AddParticle(missile);
		--[[
		local missile = CreateMOPixel("Arrow Particle Sharp", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(70,0):RadRotate(angle + 0.002 - math.random() / 250);
		if actor ~= nil then
			missile.Vel = missile.Vel + actor.Vel;
		end
		MovableMan:AddParticle(missile);
		]]
	--end
	--return nil
end

function FoN(actor, position, angle, team)
	--for i = 1, math.max(math.floor(actor.spellpower / 20), 0), 1 do
	--	local PlayedSound = CreateAEmitter("Release Sound Emitter");
	--	PlayedSound.Pos = position;
	--	MovableMan:AddParticle(PlayedSound);
		local missile = CreateAEmitter("Nature Cannon Shot", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(20,0):RadRotate(angle);
		--if actor ~= nil then
		--	missile.Vel = missile.Vel + actor.Vel;
		--end
		MovableMan:AddParticle(missile);
	--end
	--return nil
end

function BoneSpirit(actor, position, angle, team)

		local missile = CreateMOPixel("Bone Spirit", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(45 + math.random() * 10,0):RadRotate(angle + 0.25 - math.random() / 2);
		if actor ~= nil then
			missile.Vel = missile.Vel + actor.Vel;
		end
		MovableMan:AddParticle(missile);
	--end
	--return nil
end

function Chaser(actor, position, angle, team)
	--for i = 1, math.max(math.floor(actor.spellpower / 20), 0), 1 do
		local missile = CreateAEmitter("Air Bolt", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(20 + math.random() * 10,0):RadRotate(angle + 0.01 - math.random() / 50);
		if actor ~= nil then
			missile.Vel = missile.Vel + actor.Vel;
		end
		MovableMan:AddParticle(missile);
	--end
	--return nil
end

function WaterJet(actor, position, angle, team)
	--for i = 1, math.max(math.floor(actor.spellpower / 20), 0), 1 do
		local missile = CreateMOPixel("Water Jet", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(70 + math.random() * 10,0):RadRotate(angle + 0.01 - math.random() / 50);
		if actor ~= nil then
			missile.Vel = missile.Vel + actor.Vel;
		end
		MovableMan:AddParticle(missile);
	--end
	--return nil
end

function FlameBreath(actor, position, angle, team)
	--for i = 1, math.max(math.floor(actor.spellpower / 20), 0), 1 do
		local missile = CreateMOSParticle("Fire Puff Large Long", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(70 + math.random() * 10,0):RadRotate(angle + 0.1 - math.random() / 5);
		if actor ~= nil then
			missile.Vel = missile.Vel + actor.Vel;
		end
		MovableMan:AddParticle(missile);
		local missile = CreateMOSParticle("Fire Puff Large Hurtful", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(70 + math.random() * 10,0):RadRotate(angle + 0.1 - math.random() / 5);
		if actor ~= nil then
			missile.Vel = missile.Vel + actor.Vel;
		end
		MovableMan:AddParticle(missile);
	--end
	--return nil
end

function WindShear(actor, position, angle, team)
		local PlayedSound = CreateAEmitter("Push Sound Emitter");
		PlayedSound.Pos = position;
		MovableMan:AddParticle(PlayedSound);
		for i = 1, 80 do
			Effect = CreateMOPixel("Wind Blast", "AAA.rte");
			if Effect then
				Effect.Vel = Vector(25 + math.random() * 20,0):RadRotate(angle + 0.25 - math.random() / 2);
				--Effect.LifeTime = math.random(1000, 1250);
				if actor ~= nil then
					Effect.Vel = Effect.Vel + actor.Vel;
				end
				Effect.Pos = position;
				--Effect:SetWhichMOToNotHit(self, 0.1);
				--Effect.LifeTime = math.random(1000,1250);
				Effect.Team = team;
				Effect.IgnoresTeamHits = true;
				MovableMan:AddParticle(Effect);
			end
		end
	--return nil
end

function MagicMissile(actor, position, angle, team)
	--for i = 1, math.max(math.floor(actor.spellpower / 20), 0), 1 do
		local PlayedSound = CreateAEmitter("Bolt Sound Emitter");
		PlayedSound.Pos = position;
		MovableMan:AddParticle(PlayedSound);
		local missile = CreateAEmitter("Magic Missile Missile", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(30,0):RadRotate(angle + 0.01 - math.random() / 50);
		if actor ~= nil then
			missile.Vel = missile.Vel + actor.Vel;
		end
		MovableMan:AddParticle(missile);
	--end
	--return nil
end

function Dominate(actor, target, team)

	local sel = MovableMan:GetClosestEnemyActor(team, target, 35, Vector());
	if sel ~= nil then
		if actor ~= nil then
			if IsADoor(sel) then
				ActivityMan:GetActivity():SwitchToActor(ToActor(sel),ToActor(actor):GetController().Player,team);
			else
				if sel:HasObjectInGroup("Brains") then
					if IsAHuman(sel) and ToAHuman(sel).Head ~= nil then
						ToAHuman(sel).Head:Detach();
					else
						sel:GibThis();
					end
					if  IsAHuman(actor) and ToAHuman(actor).Head ~= nil then
						ToAHuman(actor).Head:Detach();
					else
						actor:GibThis();
					end
				else
					ActivityMan:GetActivity():SwitchToActor(ToActor(sel),ToActor(actor):GetController().Player,-1);
					local Effect = CreateAEmitter("JamCount", "AAA.rte");
					Effect.Pos = actor.Pos;
					--Effect:SetWhichMOToNotHit(actor, 0.1)
					Effect.Team = team;
					Effect.Sharpness = actor.RootID;
					Effect.IgnoresTeamHits = true;
					--Add the particle to the world.
					MovableMan:AddParticle(Effect);
				end
			end
			sel:GetController():SetState(Controller.BODY_CROUCH,true);
			sel.Health = sel.Health - 5;
			sel:FlashWhite(250);
			actor.Health = actor.Health - 1;
			actor:FlashWhite(250);
			local PlayedSound = CreateAEmitter("Dominate Sound Emitter");
			PlayedSound.Pos = sel.Pos;
			MovableMan:AddParticle(PlayedSound);
		end
	end
--[[
		local Effect = CreateAEmitter("DomCount", "AAA.rte");
		Effect.Pos = actor.Pos;
		--Effect:SetWhichMOToNotHit(actor, 0.1)
		Effect.Team = team;
		Effect.Sharpness = actor.RootID;
		Effect.IgnoresTeamHits = true;
		--Add the particle to the world.
		MovableMan:AddParticle(Effect);
		sel:GetController():SetState(Controller.BODY_CROUCH,true);
		--sel.Health = sel.Health - 5;
		local PlayedSound = CreateAEmitter("Dominate Sound Emitter");
		PlayedSound.Pos = sel.Pos;
		MovableMan:AddParticle(PlayedSound);
		if actor ~= nil then
			ActivityMan:GetActivity():SwitchToActor(ToActor(sel),ToActor(actor):GetController().Player,team);
		end]]
end

function Swarm(actor, target, team)

	local sel = MovableMan:GetClosestEnemyActor(team, target, 35, Vector());
	if sel ~= nil then
--		if actor ~= nil then
		local effect = CreateMOSRotating("Flyswarm Canister Effect", "AAA.rte");
		effect.Pos = sel.Pos;
		MovableMan:AddParticle(effect);
		effect:GibThis();
		if IsActor(sel) then
			local number = math.random(1,5);
			if number == 2 and ToAHuman(sel).FGArm ~= nil then
				ToAHuman(sel).FGArm:Detach();
			end
			if number == 3 and ToAHuman(sel).BGArm ~= nil then
				ToAHuman(sel).BGArm:Detach();
			end
			if number == 4 and ToAHuman(sel).FGLeg ~= nil then
				ToAHuman(sel).FGLeg:Detach();
			end
			if number == 5 and ToAHuman(sel).BGLeg ~= nil then
				ToAHuman(sel).BGLeg:Detach();
			end
		end
		if IsADoor(sel) then
			ToActor(sel):GibThis();
		end
		local swarm = CreateAEmitter("Flyswarm", "AAA.rte");
		swarm.Pos = sel.Pos + Vector(0, -6);
		swarm.Team = team;
		if actor ~= nil then
			swarm.Sharpness = actor.RootID;
		end
		MovableMan:AddParticle(swarm);
--		end
	end

end

function Mud(actor, target)
--[[
	local sel = MovableMan:GetClosestEnemyActor(team, target, 35, Vector());
	if sel ~= nil then
		local Effect = CreateAEmitter("WetCount", "AAA.rte");
		Effect.Pos = sel.Pos;
		Effect.Team = team;
		Effect.Sharpness = sel.RootID;
		Effect.IgnoresTeamHits = true;
		MovableMan:AddParticle(Effect);
		local Effect = CreateAEmitter("PoisonCount", "AAA.rte");
		Effect.Pos = sel.Pos;
		Effect.Team = team;
		Effect.Sharpness = sel.RootID;
		Effect.IgnoresTeamHits = true;
		MovableMan:AddParticle(Effect);
		local Effect = CreateAEmitter("SlowCount", "AAA.rte");
		Effect.Pos = sel.Pos;
		Effect.Team = team;
		Effect.Sharpness = sel.RootID;
		Effect.IgnoresTeamHits = true;
		MovableMan:AddParticle(Effect);
	end
]]
	local explosion = CreateMOSRotating("Particle Mud Explosion", "AAA.rte");
	explosion.Pos = target;
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
	--explosion:GibThis();	
end

function Pixieswarm(actor, team)
	--Create the particle.
	--local Effect = CreateAEmitter("ManaBarrier", "AAA.rte");
	--Effect.Pos = actor.Pos;
	--Effect:SetWhichMOToNotHit(actor, 0.1)
	--Effect.Team = team;
	--Effect.Sharpness = actor.RootID;
	--Effect.IgnoresTeamHits = true;
	--Add the particle to the world.
	--MovableMan:AddParticle(Effect);
	if actor ~= nil then
		local effect = CreateMOSRotating("Pixieswarm Canister Effect", "AAA.rte");
		effect.Pos = actor.Pos;
		MovableMan:AddParticle(effect);
		effect:GibThis();
		local swarm = CreateAEmitter("Pixieswarm", "AAA.rte");
		swarm.Pos = actor.Pos;
		swarm.Team = team;
		swarm.Sharpness = actor.RootID;
		MovableMan:AddParticle(swarm);
	end
end

function Pebbleswarm(actor, team)
	--Create the particle.
	--local Effect = CreateAEmitter("ManaBarrier", "AAA.rte");
	--Effect.Pos = actor.Pos;
	--Effect:SetWhichMOToNotHit(actor, 0.1)
	--Effect.Team = team;
	--Effect.Sharpness = actor.RootID;
	--Effect.IgnoresTeamHits = true;
	--Add the particle to the world.
	--MovableMan:AddParticle(Effect);
	if actor ~= nil then
		local swarm = CreateAEmitter("Pebbleswarm", "AAA.rte");
		swarm.Pos = actor.Pos;
		swarm.Team = team;
		swarm.Sharpness = actor.RootID;
		MovableMan:AddParticle(swarm);
	end
end

function Nova(actor, position, team)
	for i = 1, 60 do
		Effect = CreateMOPixel("Nova Mass", "AAA.rte");
		if Effect then
			Effect.Vel = Vector(85 + math.random() * 15,0):RadRotate(math.random() * 2 * math.pi);
			--if actor ~= nil then
			--	Effect.Vel = Effect.Vel + actor.Vel;
			--end
			Effect.Pos = position;
			--Effect:SetWhichMOToNotHit(self, 0.1);
			Effect.Team = team;
			Effect.IgnoresTeamHits = true;
			MovableMan:AddParticle(Effect);
		end
		Effect = CreateMOPixel("Nova Hurtful", "AAA.rte");
		if Effect then
			Effect.Vel = Vector(85 + math.random() * 15,0):RadRotate(math.random() * 2 * math.pi);
			--if actor ~= nil then
			--	Effect.Vel = Effect.Vel + actor.Vel;
			--end
			Effect.Pos = position;
			--Effect:SetWhichMOToNotHit(self, 0.1);
			Effect.Team = team;
			Effect.IgnoresTeamHits = true;
			MovableMan:AddParticle(Effect);
		end
	end
		
	local explosion = CreateMOSRotating("Particle Nova Explosion", "AAA.rte");
	explosion.Pos = position;
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
	explosion:GibThis();	
	--return nil
end

function PlaySound(name, position)

	local PlayedSound = CreateAEmitter(name);
	PlayedSound.Pos = position;
	MovableMan:AddParticle(PlayedSound);
	--return nil

end

function SpellCast(spell, actor, position, target, angle, team)

	if spell == 0 then
		print("NULL SPELL CAST");
	elseif spell == 1 then
		RaiseDummy(actor, target);
	elseif spell == 2 then
		Mitosis(actor);
	elseif spell == 3 then
		Restore(actor);
	elseif spell == 4 then
		Warmth(actor);
	elseif spell == 5 then
		Regen(actor);
	elseif spell == 6 then
		Shell(actor, team);
	elseif spell == 7 then
		ManaBurn(actor, target);
	elseif spell == 8 then
		Arrow(actor, position, angle, team);
	elseif spell == 10 then
		AirBolt(actor, position, angle, team);
	elseif spell == 11 then
		WindShear(actor, position, angle, team);
	elseif spell == 12 then
		Pixieswarm(actor, team);
	elseif spell == 13 then
		Levitate(actor, team);
	elseif spell == 14 then
		Lightning(actor, target);
	elseif spell == 15 then
		Storm(actor, target);
	elseif spell == 16 then
		Storm(actor, target);
	elseif spell == 17 then
		Shockorb(actor, position, angle, team);
	elseif spell == 18 then
		Mjolnir(actor, target);
	elseif spell == 20 then
		Boulder(actor, position, angle, team);
	elseif spell == 21 then
		EarthWall(actor, position, angle);
	elseif spell == 22 then
		Pebbleswarm(actor, team);
	elseif spell == 23 then
		--RockPunch(actor, position, angle, team);
		Mud(actor, target);
	elseif spell == 24 then
		FOV(actor, target);
	elseif spell == 25 then
		Upheaval(actor, target);
	elseif spell == 26 then
		FoN(actor, position, angle, team);
	elseif spell == 27 then
		Acidrain(actor, target);
	elseif spell == 28 then
		Acidblast(actor, position, angle, team);
	elseif spell == 30 then
		Firebolt(actor, position, angle, team);
	elseif spell == 31 then
		Burn(actor, target);
	elseif spell == 32 then
		Firespout(actor, target);
	elseif spell == 33 then
		Fireball(actor, position, angle, team);
	elseif spell == 34 then
		Explosion(actor, target);
	elseif spell == 35 then
		Bombardment(actor, target);
	elseif spell == 36 then
		FlameBreath(actor, position, angle, team);
	elseif spell == 37 then
		Meteor(actor, target);
	elseif spell == 38 then
		Firebeam(actor, position, angle, team);
	elseif spell == 40 then
		WaterJet(actor, position, angle, team);		
	elseif spell == 41 then
		Icebarrage(actor, position, angle, team);	
	elseif spell == 42 then
		Geyser(actor, target);
	elseif spell == 43 then
		Arcticlance(actor, position, angle, team);
	elseif spell == 44 then
		Froststar(actor, team);
	elseif spell == 45 then
		Blizzard(actor, target);
	elseif spell == 46 then
		WaterWave(actor, position, angle, team);
	elseif spell == 50 then
		MagicMissile(actor, position, angle, team);
	elseif spell == 51 then
		Blink(actor, target, team);
	elseif spell == 52 then
		Nova(actor, position, team);
	elseif spell == 53 then
		Heal(actor);
	elseif spell == 54 then
		Barrier(actor, team);
	elseif spell == 55 then
		Summon(actor, target, team);
	elseif spell == 57 then
		Clash(actor, target);
	elseif spell == 60 then
		RaiseDead(actor, target, team);
	elseif spell == 61 then
		DeathRay(actor, position, angle, team);
	elseif spell == 62 then
		Swarm(actor, target, team);
	elseif spell == 63 then
		Dominate(actor, target, team);
	elseif spell == 64 then
		Revolution(actor, target);
	elseif spell == 65 then
		Reincarnation(actor);
	elseif spell == 66 then
		Summon(actor, target, team);
	elseif spell == 67 then
		BoneSpirit(actor, position, angle, team);
	elseif spell == 68 then
		WarpShift(actor, target, team);
	else
		print("SPELLID UNKNOWN(CAST)");
	end
end

function SpellGet(spellid)

	--add range and mode later
	local name = "NIL";
	local cost = 0;
	local cast = 0;
	local range = 0;
	local mode = 0;
	-- mode 1 continous
	-- mode 2 aimed
	-- mode 3 point
	
	if spellid == 0 then --null spell
		name = "Null";
		cost = 0;
		cast = 1000;
		range = 0;
		mode = 0;
		return name, cost, cast, range, mode;
	elseif spellid == 1 then --raise dummy
		name = "Test Dummy";
		cost = 10;
		cast = 2500;
		range = 2000;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 2 then --mitosis
		name = "Mitosis";
		cost = 10;
		cast = 500;
		range = 0;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 3 then --restore
		name = "Restore";
		cost = 10;
		cast = 500;
		range = 0;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 4 then --warmth
		name = "Warmth";
		cost = 10;
		cast = 500;
		range = 0;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 5 then --regen
		name = "Regen";
		cost = 10;
		cast = 500;
		range = 0;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 6 then --shell
		name = "Mana Shell";
		cost = 0;
		cast = 1000;
		range = 0;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 7 then --Mana Burn
		name = "Mana Burn";
		cost = 50;
		cast = 300;
		range = 800;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 8 then --arrow
		name = "Arrow";
		cost = 2;
		cast = 100;
		range = 1000;
		mode = 1;
		return name, cost, cast, range, mode;
	elseif spellid == 10 then --air bolt
		name = "Air Bolt";
		cost = 10;
		cast = 400;
		range = 800;
		mode = 1;
		return name, cost, cast, range, mode;
	elseif spellid == 11 then --wind shear
		name = "Wind Shear";
		cost = 15;
		cast = 700;
		range = 400;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 12 then --Pixie
		name = "Pixie Swarm";
		cost = 45;
		cast = 800;
		range = 0;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 13 then --Levitate
		name = "Levitate";
		cost = 70;
		cast = 500;
		range = 0;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 14 then --Lightning
		name = "Lightning";
		cost = 90;
		cast = 350;
		range = 1500;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 15 then --Storm
		name = "Storm";
		cost = 140;
		cast = 1600;
		range = 1000;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 16 then --Chain Lit
		name = "Chain Electrocute";
		cost = 18;
		cast = 200;
		range = 1400;
		mode = 1;
		return name, cost, cast, range, mode;
	elseif spellid == 17 then --shock orb
		name = "Shock Orb";
		cost = 20;
		cast = 300;
		range = 700;
		mode = 1;
		return name, cost, cast, range, mode;
	elseif spellid == 18 then --mjornir
		name = "Mjornir";
		cost = 500;
		cast = 300;
		range = 1700;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 20 then --Rolling Boulder
		name = "Rolling Boulder";
		cost = 50;
		cast = 1200;
		range = 400;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 21 then --EarthWall
		name = "Earth Wall";
		cost = 35;
		cast = 500;
		range = 150;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 22 then --Guardian Stones
		name = "Guardian Stones";
		cost = 50;
		cast = 800;
		range = 0;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 23 then --Transmute Mud
		name = "Transmute Mud";
		cost = 25;
		cast = 500;
		range = 1200;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 24 then --Fist of Vengeance
		name = "Fist of Vengeance";
		cost = 75;
		cast = 1200;
		range = 1200;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 25 then --Rock Fall
		name = "Upheaval";
		cost = 180;
		cast = 2400;
		range = 1000;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 26 then --FoN
		name = "Force of Nature";
		cost = 150;
		cast = 1500;
		range = 800;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 27 then --Acid Rain
		name = "Acid Rain";
		cost = 90;
		cast = 800;
		range = 1000;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 28 then --Acid Spew
		name = "Acid Blast";
		cost = 30;
		cast = 800;
		range = 600;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 30 then --firebolt
		name = "Fire Bolt";
		cost = 6;
		cast = 250;
		range = 400;
		mode = 1;
		return name, cost, cast, range, mode;
	elseif spellid == 31 then --burn
		name = "Burn";
		cost = 15;
		cast = 300;
		range = 600;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 32 then --fire spout
		name = "Searing Pillar";
		cost = 35;
		cast = 1000;
		range = 900;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 33 then --fireball
		name = "Fireball";
		cost = 65;
		cast = 1400;
		range = 500;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 34 then --explosion
		name = "Explosion";
		cost = 80;
		cast = 800;
		range = 550;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 35 then --Bombardment
		name = "Bombardment";
		cost = 200;
		cast = 2200;
		range = 1000;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 36 then --flame breath
		name = "Flame Breath";
		cost = 1;
		cast = 10;
		range = 550;
		mode = 1;
		return name, cost, cast, range, mode;
	elseif spellid == 37 then --meteor
		name = "Meteor";
		cost = 150;
		cast = 250;
		range = 1200;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 38 then --fire spout
		name = "Blaze Ray";
		cost = 90;
		cast = 1500;
		range = 900;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 40 then --water jet
		name = "Hydro Jet";
		cost = 0;
		cast = 10;
		range = 400;
		mode = 1;
		return name, cost, cast, range, mode;
	elseif spellid == 41 then --Ice Shotgun
		name = "Ice Barrage";
		cost = 30;
		cast = 400;
		range = 350;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 42 then --geyser
		name = "Geyser";
		cost = 60;
		cast = 2800;
		range = 900;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 43 then --Ice Lance
		name = "Arctic Lance";
		cost = 45;
		cast = 700;
		range = 1300;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 44 then --Frost Star
		name = "Frost Star";
		cost = 90;
		cast = 1500;
		range = 0;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 45 then --Blizzard
		name = "Blizzard";
		cost = 160;
		cast = 2000;
		range = 1000;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 46 then --waterwave
		name = "Water Wave";
		cost = 12;
		cast = 250;
		range = 600;
		mode = 1;
		return name, cost, cast, range, mode;
	elseif spellid == 50 then --MM
		name = "Arcane Missile";
		cost = 8;
		cast = 160;
		range = 700;
		mode = 1;
		return name, cost, cast, range, mode;
	elseif spellid == 51 then --Blink
		name = "Blink";
		cost = 5;
		cast = 100;
		range = 500;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 52 then --Mystic Nova
		name = "Mystic Nova";
		cost = 15;
		cast = 300;
		range = 100;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 53 then --Heal
		name = "Heal";
		cost = 4;
		cast = 40;
		range = 0;
		mode = 1;
		return name, cost, cast, range, mode;
	elseif spellid == 54 then --Barrier
		name = "Barrier";
		cost = 75;
		cast = 1000;
		range = 0;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 55 then --Summon
		name = "Summoning Circle";
		cost = 100;
		cast = 2000;
		range = 0;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 57 then --Clash
		name = "Clash";
		cost = 160;
		cast = 2000;
		range = 1000;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 60 then --raise dead
		name = "Raise Dead";
		cost = 50;
		cast = 1000;
		range = 300;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 61 then --deathray
		name = "Death Ray";
		cost = 90;
		cast = 300;
		range = 900;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 62 then --Swarm
		name = "Infest";
		cost = 55;
		cast = 1200;
		range = 900;
		mode = 4;
		return name, cost, cast, range, mode;
	elseif spellid == 63 then --Dom
		name = "Dominate";
		cost = 150;
		cast = 2500;
		range = 1000;
		mode = 4;
		return name, cost, cast, range, mode;
	elseif spellid == 64 then --Revolution
		name = "Revolution";
		cost = 180;
		cast = 2500;
		range = 1000;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 65 then --Reincarnation
		name = "Reincarnation";
		cost = 200;
		cast = 5000;
		range = 0;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 66 then --Reincarnation
		name = "Summoning Ritual";
		cost = 100;
		cast = 2000;
		range = 0;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 67 then --bone spirit
		name = "Bone Spirit";
		cost = 4;
		cast = 120;
		range = 400;
		mode = 1;
		return name, cost, cast, range, mode;
	elseif spellid == 68 then --Warp Shift
		name = "Warp Shift";
		cost = 200;
		cast = 1000;
		range = 900;
		mode = 3;
		return name, cost, cast, range, mode;
	else
		--print("SPELLID UNKNOWN(SPELL)");
		name = "UNKNOWN";
		cost = 0;
		cast = 1000;
		range = 0;
		mode = 0;
		return name, cost, cast, range, mode;
	end
end

function EmblemGet(spellid)

	if spellid == 0 then --null spell
		return "Emblem AirBase";
	elseif spellid == 1 then --Test Dummy
		return "Emblem TestDummy";
	elseif spellid == 2 then --Mitosis
		return "Emblem Mitosis";
	elseif spellid == 3 then --Hp
		return "Emblem Heal";
	elseif spellid == 4 then --Mp
		return "Emblem Mana";
	elseif spellid == 5 then --Regen
		return "Emblem Purify";
	elseif spellid == 6 then --Shell
		return "Emblem Shell";
	elseif spellid == 7 then --ManaBurn
		return "Emblem Burn";
	elseif spellid == 8 then --Arrow
		return "Emblem Arrow";
	elseif spellid == 10 then --Air Bolt
		return "Emblem AirBolt";
	elseif spellid == 11 then --Wind Shear
		return "Emblem Windshear";
	elseif spellid == 12 then --pixie
		return "Emblem Pixie";
	elseif spellid == 13 then --Levitate
		return "Emblem Levitate";
	elseif spellid == 14 then --Lightning
		return "Emblem Lightning";
	elseif spellid == 15 then --storm
		return "Emblem Storm";
	elseif spellid == 16 then --chain elec
		return "Emblem Storm";
	elseif spellid == 17 then --shock orb
		return "Emblem AirBolt";
	elseif spellid == 18 then --Mjornir
		return "Emblem Mjornir";
	elseif spellid == 20 then --Boulder
		return "Emblem Boulder";
	elseif spellid == 21 then --Earth Wall
		return "Emblem EarthWall";
	elseif spellid == 22 then --Guardian Stones
		return "Emblem Pebbles";
	elseif spellid == 23 then --Transmute Mud
		return "Emblem MudBlast";
	elseif spellid == 24 then --Fist of Vengence
		return "Emblem FoV";
	elseif spellid == 25 then --Rockfall
		return "Emblem RockFall";
	elseif spellid == 26 then --FoN
		return "Emblem FoN";
	elseif spellid == 27 then --Acidrain
		return "Emblem AcidRain";
	elseif spellid == 28 then --Acid Spew
		return "Emblem AcidRain";
	elseif spellid == 30 then --Firebolt
		return "Emblem FireBolt";
	elseif spellid == 31 then --Burn
		return "Emblem Burn";
	elseif spellid == 32 then --Searing Pillar
		return "Emblem SearingPillar";
	elseif spellid == 33 then --Fireball
		return "Emblem Fireball";
	elseif spellid == 34 then --Explosion
		return "Emblem Explosion";
	elseif spellid == 35 then --bombardment
		return "Emblem FireRain";
	elseif spellid == 36 then --flame breath
		return "Emblem Dragonfire";
	elseif spellid == 37 then --meteor
		return "Emblem Meteor";
	elseif spellid == 38 then --meteor
		return "Emblem SearingPillar";
	elseif spellid == 40 then --Water Jet
		return "Emblem Waterjet";
	elseif spellid == 41 then --shotgun
		return "Emblem IceBarrage";
	elseif spellid == 42 then --Geyser
		return "Emblem Geyser";
	elseif spellid == 43 then --lance
		return "Emblem ArcticLance";
	elseif spellid == 44 then --frost star
		return "Emblem Froststar";
	elseif spellid == 45 then --blizzard
		return "Emblem Blizzard";
	elseif spellid == 46 then --waterblow
		return "Emblem Waterblow";
	elseif spellid == 50 then --MM
		return "Emblem ArcaneMissile";
	elseif spellid == 51 then --Blink
		return "Emblem Blink";
	elseif spellid == 52 then --Mystic Nova
		return "Emblem Nova";
	elseif spellid == 53 then --Heal
		return "Emblem Heal";
	elseif spellid == 54 then --Barrier
		return "Emblem Barrier";
	elseif spellid == 55 then --Summon
		return "Emblem Summon";
	elseif spellid == 56 then --Clash
		return "Emblem Clash";
	elseif spellid == 57 then --Clash
		return "Emblem Clash";
	elseif spellid == 60 then --Raise Dead
		return "Emblem Skele";
	elseif spellid == 61 then --Death Ray
		return "Emblem DeathRay";
	elseif spellid == 62 then --Swarm
		return "Emblem Swarm";
	elseif spellid == 63 then --Dom
		return "Emblem Dominate";
	elseif spellid == 64 then --Revolution
		return "Emblem Necropolis";
	elseif spellid == 65 then --Reincarnation
		return "Emblem Reincarnation";
	elseif spellid == 66 then --Reincarnation
		return "Emblem Reincarnation";
	elseif spellid == 67 then --Bone Spirit
		return "Emblem BoneSpirit";
	elseif spellid == 68 then --Warp Shift
		return "Emblem Exvo";
	else
		--print("SPELLID UNKNOWN(EMBLEM)");
		return nil;
	end

end

function ElementGet(spellid)

	if spellid == 0 then --null spell
		return 0;
	elseif spellid == 1 then --Test Dummy
		return 0;
	elseif spellid == 2 then --Mitosis
		return 0;
	elseif spellid == 3 then --Restore
		return 0;
	elseif spellid == 4 then --Warmth
		return 0;
	elseif spellid == 5 then --Regen
		return 0;
	elseif spellid == 6 then --shell
		return 5;
	elseif spellid == 7 then --mjornir
		return 1;
	elseif spellid == 8 then --Arrow
		return 1;
	elseif spellid == 10 then --Air Bolt
		return 1;
	elseif spellid == 11 then --Wind Shear
		return 1;
	elseif spellid == 12 then --pixie
		return 1;
	elseif spellid == 13 then --Levitate
		return 1;
	elseif spellid == 14 then --Lightning
		return 1;
	elseif spellid == 15 then --storm
		return 1;
	elseif spellid == 16 then --storm
		return 1;
	elseif spellid == 17 then --storm
		return 1;
	elseif spellid == 18 then --mjornir
		return 1;
	elseif spellid == 20 then --Boulder
		return 2;
	elseif spellid == 21 then --Earth Wall
		return 2;
	elseif spellid == 22 then --Guardian Stones
		return 2;
	elseif spellid == 23 then --Transmute Mud
		return 2;
	elseif spellid == 24 then --Fist of Vengence
		return 2;
	elseif spellid == 25 then --Rockfall
		return 2;
	elseif spellid == 26 then --Force of Nature
		return 2;
	elseif spellid == 27 then --Acid Rain
		return 2;
	elseif spellid == 28 then --Stone Punch
		return 2;
	elseif spellid == 30 then --Firebolt
		return 3;
	elseif spellid == 31 then --Burn
		return 3;
	elseif spellid == 32 then --Searing Pillar
		return 3;
	elseif spellid == 33 then --Fireball
		return 3;
	elseif spellid == 34 then --Explosion
		return 3;
	elseif spellid == 35 then --meteor
		return 3;
	elseif spellid == 36 then --Explosion
		return 3;
	elseif spellid == 37 then --meteor
		return 3;
	elseif spellid == 38 then --meteor
		return 3;
	elseif spellid == 40 then --Water Jet
		return 4;
	elseif spellid == 41 then --shotgun
		return 4;
	elseif spellid == 42 then --Geyser
		return 4;
	elseif spellid == 43 then --lance
		return 4;
	elseif spellid == 44 then --frost star
		return 4;
	elseif spellid == 45 then --blizzard
		return 4;
	elseif spellid == 46 then --frost star
		return 4;
	elseif spellid == 47 then --Water Wave
		return 4;
	elseif spellid == 50 then --MM
		return 5;
	elseif spellid == 51 then --Mystic Nova
		return 5;
	elseif spellid == 52 then --Blink
		return 5;
	elseif spellid == 53 then --Heal
		return 5;
	elseif spellid == 54 then --Barrier
		return 5;
	elseif spellid == 55 then --Clash
		return 5;
	elseif spellid == 56 then --Barrier
		return 5;
	elseif spellid == 57 then --Clash
		return 5;
	elseif spellid == 60 then --Raise Dead
		return 6;
	elseif spellid == 61 then --Death Ray
		return 6;
	elseif spellid == 62 then --Swarm
		return 6;
	elseif spellid == 63 then --Dom
		return 6;
	elseif spellid == 64 then --Revolution
		return 6;
	elseif spellid == 65 then --Reincarnation
		return 6;
	elseif spellid == 66 then --Revolution
		return 6;
	elseif spellid == 67 then --Bone Spirit
		return 6;
	elseif spellid == 68 then --Warp Shift
		return 6;
	else
		--print("SPELLID UNKNOWN(ELEMENT)");
		return nil;
	end

end

function ColorGet(elemid)

	if elemid == 0 then --null spell
		return "Tiny White Glow";
	elseif elemid == 1 then --air spell
		return "Tiny White Glow";
	elseif elemid == 2 then --earth spell
		return "Tiny Green Glow";
	elseif elemid == 3 then --fire spell
		return "Tiny Red Glow";
	elseif elemid == 4 then --water spell
		return "Tiny Blue Glow";
	elseif elemid == 5 then --arcane spell
		return "Tiny Purple Glow";
	elseif elemid == 6 then --necro speell
		return "Tiny Purple Glow";
	else
		--print("ELEMID UNKNOWN(COLOR)");
		return nil;
	end

end


