function Explosion(actor, target)

	local explosion = CreateMOSRotating("Particle Large Spell Explosion", "AAA.rte");
	explosion.Pos = target;
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
	explosion:GibThis();	

end

function Lightning(actor, target)
	
	local cood = Vector(0,0);
	local hor = target.X;
	if SceneMan:CastNotMaterialRay(Vector(hor,-200), Vector(0,2000), 0, cood, 0, false) == true then
		local explosion = CreateMOPixel("Lightning Glow 1", "AAA.rte");
		explosion.Pos = cood + Vector(0, -1120);
		explosion.Vel = Vector(0,0);
		MovableMan:AddParticle(explosion);
		
		local explosion = CreateMOPixel("Lightning Glow 2", "AAA.rte");
		explosion.Pos = cood + Vector(0, -800);
		explosion.Vel = Vector(0,0);
		MovableMan:AddParticle(explosion);
		
		local explosion = CreateMOPixel("Lightning Glow 3", "AAA.rte");
		explosion.Pos = cood + Vector(0, -480);
		explosion.Vel = Vector(0,0);
		MovableMan:AddParticle(explosion);
		
		local explosion = CreateMOPixel("Lightning Glow 4", "AAA.rte");
		explosion.Pos = cood + Vector(0, -160);
		explosion.Vel = Vector(0,0);
		MovableMan:AddParticle(explosion);
		
		local PlayedSound = CreateAEmitter("Lightning Sound Emitter");
		PlayedSound.Pos = target;
		MovableMan:AddParticle(PlayedSound);
		
		for i = 1, 200 do
			local number = math.random (1, 3);
			local name = "Lightning Hurtful"
			if (number <= 1) then
				name = "Lightning Hurtful";
			elseif (number <= 2) then
				name = "Lightning Light Hurtful";
			else
				name = "Lightning Sparkle Hurtful";
			end
			local explosion = CreateMOPixel(name, "AAA.rte");
			explosion.Pos = cood + Vector(math.random(-8,8),math.random(-8,8));
			explosion.Vel = Vector(70 + math.random() * 70,0):RadRotate(math.random() * 2 * math.pi);
			MovableMan:AddParticle(explosion);
		end
	end
	
end

function Burn(actor, target)
	local explosion = CreateMOSRotating("Particle Flare Explosion", "AAA.rte");
	explosion.Pos = target + Vector(0,-6);
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
	explosion:GibThis();
	local explosion = CreateMOSRotating("Particle Large Burn Explosion", "AAA.rte");
	explosion.Pos = target;
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
	explosion:GibThis();
	--return nil
end

function Firebolt(actor, position, angle, team)
	--for i = 1, math.max(math.floor(actor.spellpower / 20), 0), 1 do
		local missile = CreateAEmitter("Fire Bolt", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(40 + math.random() * 10,0):RadRotate(angle + 0.04 - math.random() / 12.5);
		if actor ~= nil then
			missile.Vel = missile.Vel + actor.Vel;
		end
		MovableMan:AddParticle(missile);
	--end
	--return nil
end

function Arcticlance(actor, position, angle, team)
	--for i = 1, math.max(math.floor(actor.spellpower / 20), 0), 1 do
		local missile = CreateMOSRotating("Arctic Lance", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(50,0):RadRotate(angle);
		if actor ~= nil then
			missile.Vel = missile.Vel + actor.Vel;
		end
		MovableMan:AddParticle(missile);
	--end
	--return nil
end

function Icebarrage(actor, position, angle, team)
	--for i = 1, math.max(math.floor(actor.spellpower / 20), 0), 1 do
		local missile = CreateAEmitter("Ice Shard Emitter", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(0,0);
		missile.RotAngle = angle;
		MovableMan:AddParticle(missile);
	--end
	--return nil
end

function Fireball(actor, position, angle, team)
	--for i = 1, math.max(math.floor(actor.spellpower / 20), 0), 1 do
		local missile = CreateAEmitter("Fireball", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(25 + math.random() * 5,0):RadRotate(angle + 0.05 - math.random() / 10);
		if actor ~= nil then
			missile.Vel = missile.Vel + actor.Vel;
		end
		MovableMan:AddParticle(missile);
	--end
	--return nil
end

function Twister(actor, position, angle, team)
	--for i = 1, math.max(math.floor(actor.spellpower / 33), 0), 1 do
		local missile = CreateAEmitter("Twister", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(15 + math.random() * 10,0):RadRotate(angle + 0.025 - math.random() / 20);
		if actor ~= nil then
			missile.Vel = missile.Vel + actor.Vel;
		end
		MovableMan:AddParticle(missile);
	--end
	--return nil
end

function FireWheel(actor, position, angle, team)
	--for i = 1, math.max(math.floor(actor.spellpower / 100), 0), 1 do
		local missile = CreateMOSRotating("Fire Wheel", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(20 + math.random() * 5,0):RadRotate(angle + 0.01 - math.random() / 50); --actor:GetAimAngle(true)
		if actor ~= nil then
			missile.Vel = missile.Vel + actor.Vel;
		end
		MovableMan:AddParticle(missile);
	--end
	--return nil
end

function DeathRay(actor, position, angle)
	local target = Vector(0,0);
	if SceneMan:CastNotMaterialRay(position, Vector(700,0):RadRotate(angle), 0, target, 0, false) == true then
		local dist = math.sqrt((target.X-position.X)^2+(target.Y-position.Y)^2);
		--print(dist);
		for i = 2, math.floor(dist/4), 1 do
			local explosive = CreateMOPixel("Death Laser Particle Glow", "AAA.rte");
			explosive.Pos = position+Vector(4*i,0):RadRotate(angle);
			explosive.Vel = Vector(0,0);
			MovableMan:AddParticle(explosive)
			--explosive:GibThis();
			local Effect = CreateMOPixel("Death Laser Particle Small", "AAA.rte");
			Effect.Pos = position+Vector(4*i,0):RadRotate(angle);
			Effect.Vel = Vector(14,0):RadRotate(math.random()*2*math.pi);
			--Effect:SetWhichMOToNotHit(Parent, 0.1)
			--if MovableMan:IsActor(Parent) then
			--	Effect.Team = ToActor(Parent).Team;
			--	Effect.IgnoresTeamHits = true;
			--end
			MovableMan:AddParticle(Effect)
		end
	else
		for i = 2, 175, 1 do
			local explosive = CreateMOPixel("Death Laser Particle Glow", "AAA.rte");
			explosive.Pos = position+Vector(4*i,0):RadRotate(angle);
			explosive.Vel = Vector(0,0);
			MovableMan:AddParticle(explosive)
			--explosive:GibThis();
			local Effect = CreateMOPixel("Death Laser Particle Small", "AAA.rte");
			Effect.Pos = position+Vector(4*i,0):RadRotate(angle);
			Effect.Vel = Vector(14,0):RadRotate(math.random()*2*math.pi);
			--Effect:SetWhichMOToNotHit(Parent, 0.1)
			--if MovableMan:IsActor(Parent) then
			--	Effect.Team = ToActor(Parent).Team;
			--	Effect.IgnoresTeamHits = true;
			--end
			MovableMan:AddParticle(Effect)
		end
	end
	--return nil
end



function Boulder(actor, position, angle, team)
	if actor ~= nil then
		if actor.HFlipped == false then
			local missile = CreateMOSRotating("Boulder Right", "AAA.rte");
			missile.Team = team;
			--missile.IgnoresTeamHits = true;
			missile.Pos = position; --actor.EquippedItem.Pos;
			missile.Vel = actor.Vel + Vector(20 + math.random() * 5,0):RadRotate(angle + 0.01 - math.random() / 50);
			MovableMan:AddParticle(missile);
		else 
			local missile = CreateMOSRotating("Boulder Left", "AAA.rte");
			missile.Team = team;
			--missile.IgnoresTeamHits = true;
			missile.Pos = position; --actor.EquippedItem.Pos;
			missile.Vel = actor.Vel + Vector(20 + math.random() * 5,0):RadRotate(angle + 0.01 - math.random() / 50);
			MovableMan:AddParticle(missile);
		end
	else
		local missile = CreateMOSRotating("Boulder", "AAA.rte");
		missile.Team = team;
		--missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(20 + math.random() * 5,0):RadRotate(angle + 0.01 - math.random() / 50);
		MovableMan:AddParticle(missile);
	end
	--return nil
end

function FOV(actor, target)
	local explosion = CreateMOSRotating("Fist of Vengence", "AAA.rte");
	explosion.Pos.X = target.X;
	explosion.Pos.Y = -200;
	explosion.Vel = Vector(0,20);
	MovableMan:AddParticle(explosion);
	--return nil
end

function Upheaval(actor, target)
	local explosion = CreateAEmitter("Upheaval Rune", "AAA.rte");
	explosion.Pos = target + Vector(0,-6);
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
end

function Blizzard(actor, target)
	local explosion = CreateAEmitter("Blizzard Rune", "AAA.rte");
	explosion.Pos = target + Vector(0,-6);
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
end

function Meteor(actor, target)
	local explosion = CreateAEmitter("Meteor Rune", "AAA.rte");
	explosion.Pos = target + Vector(0,-6);
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
end

function Storm(actor, target)
	local explosion = CreateAEmitter("Storm Rune", "AAA.rte");
	explosion.Pos = target + Vector(0,-6);
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
end

function Revolution(actor, target)
	local explosion = CreateAEmitter("Revolution Rune", "AAA.rte");
	explosion.Pos = target + Vector(0,-6);
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
end

function EarthWall(actor, position)
	--print(position);
	--print(actor);
	if actor ~= nil then
		actor.Vel = Vector(0,0);
	end
	for i = 1, 16, 1 do
		local target = Vector(0,0);
		if SceneMan:CastNotMaterialRay(position, Vector(70,0):DegRotate(360 * i / 16), 0, target, 0, false) == false then
			local explosion = CreateMOSRotating("Earth Wall", "AAA.rte");
			explosion.Pos = position + Vector(70, 0):DegRotate(360 * i / 16);
			explosion.Vel = Vector(0,0);
			explosion.RotAngle = math.random(2*math.pi);
			MovableMan:AddParticle(explosion);
			explosion.ToSettle = true;
		end
	end
	for i = 1, 16, 1 do
		local target = Vector(0,0);
		if SceneMan:CastNotMaterialRay(position, Vector(45,0):DegRotate(360 * i / 16), 0, target, 0, false) == false then
			local explosion = CreateMOSRotating("Earth Wall", "AAA.rte");
			explosion.Pos = position + Vector(45, 0):DegRotate(360 * i / 16);
			explosion.Vel = Vector(0,0);
			explosion.RotAngle = math.random(2*math.pi);
			MovableMan:AddParticle(explosion);
			explosion.ToSettle = true;
		end
	end
	--return nil
end

function RaiseDead(actor, target, team)
	local explosion = CreateMOSRotating("Particle Summon Explosion", "AAA.rte");
	explosion.Pos = target + Vector(0,-6);
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
	explosion:GibThis();
	
	local PlayedSound = CreateAEmitter("Summon Sound Emitter");
	PlayedSound.Pos = target;
	MovableMan:AddParticle(PlayedSound);
	
	local number = math.random (1, 10);
	local name = "Raised Skeleton";
	if (number <= 3) then
		name = "Skeleton Soldier";
	elseif (number <= 5) then
		name = "Skeleton Ranger";
	elseif (number <= 6) then
		name = "Skeleton Sapper";
	else
		name = "Raised Skeleton";
	end
	local summon = CreateAHuman(name, "AAA.rte");
	summon.Team = team;
	summon.Pos = target;
	summon.Vel = Vector(0,0);
	summon.AIMode = Actor.AIMODE_SENTRY;
	MovableMan:AddParticle(summon);
	summon:FlashWhite(200);
	--explosion:GibThis();
	--return nil
end

function RaiseDummy(actor, target)
	local explosion = CreateMOSRotating("Particle Summon Explosion", "AAA.rte");
	explosion.Pos = target + Vector(0,-6);
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
	explosion:GibThis();
	
	local PlayedSound = CreateAEmitter("Summon Sound Emitter");
	PlayedSound.Pos = target;
	MovableMan:AddParticle(PlayedSound);

	local summon = CreateAHuman("Dummy");
	summon.Team = -1;
	summon.Pos = target;
	summon.Vel = Vector(0,0);
	summon.AIMode = Actor.AIMODE_SENTRY;
	MovableMan:AddParticle(summon);
	summon:FlashWhite(200);
	ActivityMan:GetActivity():SwitchToActor(ToActor(summon),ToActor(actor):GetController().Player,-1);
	--explosion:GibThis();
	--return nil
end

function Blink(actor, target)
	if actor ~= nil then
		local explosion = CreateMOSRotating("Particle Blink Explosion", "AAA.rte");
		explosion.Pos = actor.Pos + Vector(0,-6);
		explosion.Vel = Vector(0,-20);
		MovableMan:AddParticle(explosion);
		explosion:GibThis();
		
		actor.Pos = target;
		actor.Vel = Vector(0,0);
		actor:FlashWhite(200);
		
		local explosion = CreateMOSRotating("Particle Blink Explosion", "AAA.rte");
		explosion.Pos = actor.Pos + Vector(0,-6);
		explosion.Vel = Vector(0,-20);
		MovableMan:AddParticle(explosion);
		explosion:GibThis();
		--return nil
	end
end

function Heal(actor)
	if actor ~= nil then
		actor.Health = math.min(actor.Health + 70, 100);
		actor:RemoveAnyRandomWounds(8);
		--Create the particle.
		part = CreateMOSParticle("Particle Heal Effect");
		--Set the particle's position to just over the actor's head.
		part.Pos = actor.AboveHUDPos + Vector(0,4);
		--Add the particle to the world.
		MovableMan:AddParticle(part);
		--return nil
	end
end

function Barrier(actor, team)
	--Create the particle.
	if actor ~= nil then
		local PlayedSound = CreateAEmitter("Barrier Sound Emitter");
		PlayedSound.Pos = actor.Pos;
		MovableMan:AddParticle(PlayedSound);
		local Effect = CreateAEmitter("ManaBarrier", "AAA.rte");
		Effect.Pos = actor.Pos;
		--Effect:SetWhichMOToNotHit(actor, 0.1)
		Effect.Team = team;
		Effect.Sharpness = actor.RootID;
		Effect.IgnoresTeamHits = true;
		--Add the particle to the world.
		MovableMan:AddParticle(Effect);
	end
end

function Geyser(actor, target)
	local explosion = CreateAEmitter("Geyser", "AAA.rte");
	explosion.Pos = target + Vector(0,10);
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
	--return nil
end

function Firespout(actor, target)
	local explosion = CreateAEmitter("Firespout", "AAA.rte");
	explosion.Pos = target + Vector(0,10);
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
	--return nil
end

function AirBolt(actor, position, angle, team)
	--for i = 1, math.max(math.floor(actor.spellpower / 20), 0), 1 do
		local missile = CreateAEmitter("Air Bolt", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(45 + math.random() * 10,0):RadRotate(angle + 0.01 - math.random() / 50);
		if actor ~= nil then
			missile.Vel = missile.Vel + actor.Vel;
		end
		MovableMan:AddParticle(missile);
	--end
	--return nil
end

function Chaser(actor, position, angle, team)
	--for i = 1, math.max(math.floor(actor.spellpower / 20), 0), 1 do
		local missile = CreateAEmitter("Air Bolt", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(20 + math.random() * 10,0):RadRotate(angle + 0.01 - math.random() / 50);
		if actor ~= nil then
			missile.Vel = missile.Vel + actor.Vel;
		end
		MovableMan:AddParticle(missile);
	--end
	--return nil
end

function WaterJet(actor, position, angle, team)
	--for i = 1, math.max(math.floor(actor.spellpower / 20), 0), 1 do
		local missile = CreateMOPixel("Water Jet", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(70 + math.random() * 10,0):RadRotate(angle + 0.01 - math.random() / 50);
		if actor ~= nil then
			missile.Vel = missile.Vel + actor.Vel;
		end
		MovableMan:AddParticle(missile);
	--end
	--return nil
end

function WindShear(actor, position, angle, team)
		for i = 1, 100 do
			Effect = CreateMOPixel("Wind Blast", "AAA.rte");
			if Effect then
				Effect.Vel = Vector(40 + math.random() * 20,0):RadRotate(angle + 0.25 - math.random() / 2);
				if actor ~= nil then
					Effect.Vel = Effect.Vel + actor.Vel;
				end
				Effect.Pos = position;
				--Effect:SetWhichMOToNotHit(self, 0.1);
				Effect.Team = team;
				Effect.IgnoresTeamHits = true;
				MovableMan:AddParticle(Effect);
			end
		end
	--return nil
end

function MagicMissile(actor, position, angle, team)
	--for i = 1, math.max(math.floor(actor.spellpower / 20), 0), 1 do
		local PlayedSound = CreateAEmitter("Glow Sound Emitter");
		PlayedSound.Pos = position;
		MovableMan:AddParticle(PlayedSound);
		local missile = CreateAEmitter("Magic Missile Missile", "AAA.rte");
		missile.Team = team;
		missile.IgnoresTeamHits = true;
		missile.Pos = position; --actor.EquippedItem.Pos;
		missile.Vel = Vector(30,0):RadRotate(angle + 0.01 - math.random() / 50);
		if actor ~= nil then
			missile.Vel = missile.Vel + actor.Vel;
		end
		MovableMan:AddParticle(missile);
	--end
	--return nil
end

function Dominate(actor, target, team)
	
	--[[
	local curdist = 20;
	local sel = nil;
	for test in MovableMan.Actors do
		if test.Team ~= actor.Team then
			local dist = SceneMan:ShortestDistance(target, test.Pos, true).Magnitude;
			if dist < curdist then
				curdist = dist;
				sel = test;
				if IsActor(sel) then
					if actor ~= nil then
						ActivityMan:GetActivity():SwitchToActor(ToActor(sel),ToActor(actor):GetController().Player,-1);
					end
					sel:GetController():SetState(Controller.BODY_CROUCH,true);
					sel.Health = sel.Health - 5;
					for i = 1, 12, 1 do
						local point = CreateMOSParticle("Magic Rune" .. math.random(0,9) .. " Particle", "AAA.rte");
						point.Pos = target;
						point.Vel = Vector(4,0):RadRotate(math.random() * 3.14);
						MovableMan:AddParticle(point);
					end
				end
			end
		end
	end
	]]
	for i = 1, 12, 1 do
		local point = CreateMOSParticle("Magic Rune" .. math.random(0,9) .. " Particle", "AAA.rte");
		point.Pos = target + Vector(8,0):RadRotate(math.random() * 3.14);
		--point.Vel = Vector(4,0):RadRotate(math.random() * 3.14);
		MovableMan:AddParticle(point);
	end
	local sel = MovableMan:GetClosestEnemyActor(team, target, 25, Vector());
	if sel ~= nil then
		if actor ~= nil then
			ActivityMan:GetActivity():SwitchToActor(ToActor(sel),ToActor(actor):GetController().Player,-1);
			sel:GetController():SetState(Controller.BODY_CROUCH,true);
			sel.Health = sel.Health - 5;
		end
	end

	
end

function Pixieswarm(actor, team)
	--Create the particle.
	--local Effect = CreateAEmitter("ManaBarrier", "AAA.rte");
	--Effect.Pos = actor.Pos;
	--Effect:SetWhichMOToNotHit(actor, 0.1)
	--Effect.Team = team;
	--Effect.Sharpness = actor.RootID;
	--Effect.IgnoresTeamHits = true;
	--Add the particle to the world.
	--MovableMan:AddParticle(Effect);
	if actor ~= nil then
		local swarm = CreateAEmitter("Pixieswarm", "AAA.rte");
		swarm.Pos = actor.Pos;
		swarm.Team = team;
		swarm.Sharpness = actor.RootID;
		MovableMan:AddParticle(swarm);
	end
end

function Nova(actor, position, team)
	for i = 1, 60 do
		Effect = CreateMOPixel("Nova Mass", "AAA.rte");
		if Effect then
			Effect.Vel = Vector(85 + math.random() * 15,0):RadRotate(math.random() * 2 * math.pi);
			--if actor ~= nil then
			--	Effect.Vel = Effect.Vel + actor.Vel;
			--end
			Effect.Pos = position;
			--Effect:SetWhichMOToNotHit(self, 0.1);
			Effect.Team = team;
			Effect.IgnoresTeamHits = true;
			MovableMan:AddParticle(Effect);
		end
		Effect = CreateMOPixel("Nova Hurtful", "AAA.rte");
		if Effect then
			Effect.Vel = Vector(85 + math.random() * 15,0):RadRotate(math.random() * 2 * math.pi);
			--if actor ~= nil then
			--	Effect.Vel = Effect.Vel + actor.Vel;
			--end
			Effect.Pos = position;
			--Effect:SetWhichMOToNotHit(self, 0.1);
			Effect.Team = team;
			Effect.IgnoresTeamHits = true;
			MovableMan:AddParticle(Effect);
		end
	end
		
	local explosion = CreateMOSRotating("Particle Nova Explosion", "AAA.rte");
	explosion.Pos = position;
	explosion.Vel = Vector(0,0);
	MovableMan:AddParticle(explosion);
	explosion:GibThis();	
	--return nil
end

			
function PlaySound(name, position)

	local PlayedSound = CreateAEmitter(name);
	PlayedSound.Pos = position;
	MovableMan:AddParticle(PlayedSound);
	--return nil

end

function SpellCast(spell, actor, position, target, angle, team)

	if spell == 0 then
		print("NULL SPELL CAST");
	elseif spell == 1 then
		Explosion(actor, target);
	elseif spell == 2 then
		Burn(actor, target);
	elseif spell == 3 then
		Firebolt(actor, position, angle, team);
	elseif spell == 4 then
		Fireball(actor, position, angle, team);
	elseif spell == 5 then
		Upheaval(actor, target);
	elseif spell == 6 then
		Boulder(actor, position, angle, team);
	elseif spell == 7 then
		FOV(actor, target);
	elseif spell == 8 then
		EarthWall(actor, position);
	elseif spell == 9 then
		RaiseDead(actor, target, team);
	elseif spell == 10 then
		Blink(actor, target);
	elseif spell == 11 then
		Heal(actor);
	elseif spell == 12 then
		Barrier(actor, team);
	elseif spell == 13 then
		Geyser(actor, target);
	elseif spell == 14 then
		Twister(actor, position, angle, team);
	elseif spell == 15 then
		AirBolt(actor, position, angle, team);
	elseif spell == 16 then
		WaterJet(actor, position, angle, team);
	elseif spell == 17 then
		WindShear(actor, position, angle, team);
	elseif spell == 18 then
		Firespout(actor, target);
	elseif spell == 19 then
		DeathRay(actor, position, angle);
	elseif spell == 20 then
		MagicMissile(actor, position, angle, team);
	elseif spell == 21 then
		Dominate(actor, target, team);
	elseif spell == 22 then
		Pixieswarm(actor, team);	
	elseif spell == 23 then
		Icebarrage(actor, position, angle, team);	
	elseif spell == 24 then
		Arcticlance(actor, position, angle, team);	
	elseif spell == 25 then
		Lightning(actor, target);
	elseif spell == 26 then
		Blizzard(actor, target);
	elseif spell == 27 then
		Meteor(actor, target);
	elseif spell == 28 then
		Storm(actor, target);
	elseif spell == 29 then
		Revolution(actor, target);
	elseif spell == 30 then
		Nova(actor, position, team);
	else
		print("SPELLID UNKNOWN(CAST)");
	end
					
end

function SpellGet(spellid)

	--add range and mode later
	local name = "NIL";
	local cost = 0;
	local cast = 0;
	local range = 0;
	local mode = 0;
	-- mode 1 continous
	-- mode 2 aimed
	-- mode 3 point
	
	if spellid == 0 then --null spell
		name = "Null";
		cost = 0;
		cast = 1000;
		range = 0;
		mode = 0;
		return name, cost, cast, range, mode;
	elseif spellid == 1 then --explosion
		name = "Explosion";
		cost = 70;
		cast = 1000;
		range = 550;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 2 then --burn
		name = "Burn";
		cost = 15;
		cast = 300;
		range = 600;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 3 then --firebolt
		name = "Fire Bolt";
		cost = 4;
		cast = 200;
		range = 400;
		mode = 1;
		return name, cost, cast, range, mode;
	elseif spellid == 4 then --fireball
		name = "Fireball";
		cost = 85;
		cast = 1800;
		range = 500;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 5 then --Rock Fall
		name = "Upheaval";
		cost = 180;
		cast = 2400;
		range = 1000;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 6 then --Rolling Boulder
		name = "Rolling Boulder";
		cost = 50;
		cast = 3000;
		range = 400;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 7 then --Fist of Vengence
		name = "Fist of Vengence";
		cost = 75;
		cast = 500;
		range = 1200;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 8 then --EarthWall
		name = "Earth Wall";
		cost = 35;
		cast = 1000;
		range = 0;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 9 then --raise dead
		name = "Raise Dead";
		cost = 40;
		cast = 500;
		range = 300;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 10 then --Blink
		name = "Blink";
		cost = 10;
		cast = 100;
		range = 500;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 11 then --Heal
		name = "Heal";
		cost = 45;
		cast = 1000;
		range = 0;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 12 then --Barrier
		name = "Barrier";
		cost = 75;
		cast = 1000;
		range = 0;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 13 then --geyser
		name = "Geyser";
		cost = 30;
		cast = 1300;
		range = 900;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 14 then --twister
		name = "Twister";
		cost = 40;
		cast = 500;
		range = 800;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 15 then --air bolt
		name = "Air Bolt";
		cost = 4;
		cast = 300;
		range = 800;
		mode = 1;
		return name, cost, cast, range, mode;
	elseif spellid == 16 then --water jet
		name = "Water Jet";
		cost = 0;
		cast = 10;
		range = 400;
		mode = 1;
		return name, cost, cast, range, mode;
	elseif spellid == 17 then --wind shear
		name = "Wind Shear";
		cost = 10;
		cast = 500;
		range = 400;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 18 then --fire spout
		name = "Searing Pillar";
		cost = 20;
		cast = 1000;
		range = 900;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 19 then --deathray
		name = "Death Ray";
		cost = 90;
		cast = 100;
		range = 700;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 20 then --MM
		name = "Arcane Missile";
		cost = 8;
		cast = 160;
		range = 700;
		mode = 1;
		return name, cost, cast, range, mode;
	elseif spellid == 21 then --Dom
		name = "Dominate";
		cost = 150;
		cast = 2500;
		range = 750;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 22 then --Pixie
		name = "Pixie Swarm";
		cost = 45;
		cast = 800;
		range = 0;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 23 then --Ice Shotgun
		name = "Ice Barrage";
		cost = 35;
		cast = 200;
		range = 350;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 24 then --Ice Lance
		name = "Arctic Lance";
		cost = 45;
		cast = 500;
		range = 1300;
		mode = 2;
		return name, cost, cast, range, mode;
	elseif spellid == 25 then --Lightning
		name = "Lightning";
		cost = 90;
		cast = 200;
		range = 1500;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 26 then --Blizzard
		name = "Blizzard";
		cost = 160;
		cast = 2000;
		range = 1000;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 27 then --Meteor
		name = "Meteor";
		cost = 200;
		cast = 3500;
		range = 1000;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 28 then --Storm
		name = "Storm";
		cost = 140;
		cast = 1600;
		range = 1000;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 29 then --Revolution
		name = "Revolution";
		cost = 120;
		cast = 2500;
		range = 1000;
		mode = 3;
		return name, cost, cast, range, mode;
	elseif spellid == 30 then --Mystic Nova
		name = "Mystic Nova";
		cost = 15;
		cast = 100;
		range = 100;
		mode = 2;
		return name, cost, cast, range, mode;
	else
		print("SPELLID UNKNOWN(SPELL)");
		return nil, nil, nil, nil, nil;
	end
	
		
end

function EmblemGet(spellid)

	if spellid == 0 then --null spell
		return "Spell Emblem"
	elseif spellid == 1 then --Explosion
		return "Explosion Emblem"
	elseif spellid == 2 then --Burn
		return "Burn Emblem"
	elseif spellid == 3 then --Firebolt
		return "Firebolt Emblem"
	elseif spellid == 4 then --Fireball
		return "Fireball Emblem"
	elseif spellid == 5 then --Rockfall
		return "Rockfall Emblem"
	elseif spellid == 6 then --Boulder
		return "Boulder Emblem"
	elseif spellid == 7 then --Fist of Vengence
		return "Fov Emblem"
	elseif spellid == 8 then --Earth Wall
		return "Earthwall Emblem"
	elseif spellid == 9 then --Raise Dead
		return "Skele Emblem"
	elseif spellid == 10 then --Blink
		return "Blink Emblem"
	elseif spellid == 11 then --Heal
		return "Heal Emblem"
	elseif spellid == 12 then --Barrier
		return "Barrier Emblem"
	elseif spellid == 13 then --Geyser
		return "Waterjet Emblem"
	elseif spellid == 14 then --Twister
		return "Windshear Emblem"
	elseif spellid == 15 then --Air Bolt
		return "Airbolt Emblem"
	elseif spellid == 16 then --Water Jet
		return "Waterjet Emblem"
	elseif spellid == 17 then --Wind Shear
		return "Windshear Emblem"
	elseif spellid == 18 then --Searing Pillar
		return "Firepillar Emblem"
	elseif spellid == 19 then --Death Ray
		return "Skele Emblem"
	elseif spellid == 20 then --MM
		return "Arcanemissile Emblem"
	elseif spellid == 21 then --Dom
		return "Dominate Emblem"
	elseif spellid == 22 then --pixie
		return "Pixie Emblem"
	elseif spellid == 23 then --shotgun
		return "Icebarrage Emblem"
	elseif spellid == 24 then --lance
		return "Arcticlance Emblem"
	elseif spellid == 25 then --Lightning
		return "Lightning Emblem"
	elseif spellid == 26 then --blizzard
		return "Blizzard Emblem"
	elseif spellid == 27 then --meteor
		return "Meteor Emblem"
	elseif spellid == 28 then --storm
		return "Storm Emblem"
	elseif spellid == 29 then --Revolution
		return "Revolution Emblem"
	elseif spellid == 30 then --Mystic Nova
		return "Nova Emblem"
	else
		print("SPELLID UNKNOWN(EMBLEM)");
		return nil
	end

end

function ElementGet(spellid)

	if spellid == 0 then --null spell
		return 0
	elseif spellid == 1 then --Explosion
		return 3
	elseif spellid == 2 then --Burn
		return 3
	elseif spellid == 3 then --Firebolt
		return 3
	elseif spellid == 4 then --Fireball
		return 3
	elseif spellid == 5 then --Rockfall
		return 2
	elseif spellid == 6 then --Boulder
		return 2
	elseif spellid == 7 then --Fist of Vengence
		return 2
	elseif spellid == 8 then --Earth Wall
		return 2
	elseif spellid == 9 then --Raise Dead
		return 6
	elseif spellid == 10 then --Blink
		return 5
	elseif spellid == 11 then --Heal
		return 5
	elseif spellid == 12 then --Barrier
		return 5
	elseif spellid == 13 then --Geyser
		return 4
	elseif spellid == 14 then --twister
		return 1
	elseif spellid == 15 then --Air Bolt
		return 1
	elseif spellid == 16 then --Water Jet
		return 4
	elseif spellid == 17 then --Wind Shear
		return 1
	elseif spellid == 18 then --Fire Spout
		return 3
	elseif spellid == 19 then --Death Ray
		return 6
	elseif spellid == 20 then --Magic Missile
		return 5
	elseif spellid == 21 then --Dominate
		return 6
	elseif spellid == 22 then --pixie
		return 1
	elseif spellid == 23 then --shotgun
		return 4
	elseif spellid == 24 then --lance
		return 4
	elseif spellid == 25 then --Lightning
		return 1
	elseif spellid == 26 then --blizzard
		return 4
	elseif spellid == 27 then --meteor
		return 3
	elseif spellid == 28 then --storm
		return 1
	elseif spellid == 29 then --Revolution
		return 6
	elseif spellid == 30 then --Nova
		return 5
	else
		print("SPELLID UNKNOWN(ELEMENT)");
		return nil
	end

end

function ColorGet(elemid)

	if elemid == 0 then --null spell
		return "Tiny White Glow"
	elseif elemid == 1 then 
		return "Tiny White Glow"
	elseif elemid == 2 then 
		return "Tiny Green Glow"
	elseif elemid == 3 then 
		return "Tiny Red Glow"
	elseif elemid == 4 then 
		return "Tiny Blue Glow"
	elseif elemid == 5 then 
		return "Tiny Purple Glow"
	elseif elemid == 6 then 
		return "Tiny Purple Glow"
	else
		print("ELEMID UNKNOWN(COLOR)");
		return nil
	end

end


