-- <Mod name here> <Mod URL here> by <Mod author here>
-- Faction file by <Faction file contributors here>
-- 
-- Unique Faction ID
local factionid = "Academy of Arcane Arts";
print ("Loading "..factionid)

CF_Factions[#CF_Factions + 1] = factionid

CF_FactionNames[factionid] = "Academy";
CF_FactionDescriptions[factionid] = "A academy of wizards, Academy of Arcane Arts sells units capable of using magic along with a large array of spells and magical items. Extremely versatile and powerful, but expensive and difficult to use.";
CF_FactionPlayable[factionid] = true;

CF_RequiredModules[factionid] = {"Base.rte", "AAA.rte"}
-- Available values ORGANIC, SYNTHETIC
CF_FactionNatures[factionid] = CF_FactionTypes.ORGANIC;


-- Define faction bonuses, in percents
-- Scan price reduction
CF_ScanBonuses[factionid] = 50
-- Relation points increase
CF_RelationsBonuses[factionid] = 0
-- Hew HQ build price reduction
CF_ExpansionBonuses[factionid] = 0

-- Gold per turn increase
CF_MineBonuses[factionid] = 0
-- Science per turn increase
CF_LabBonuses[factionid] = 40
-- Delivery time reduction
CF_AirfieldBonuses[factionid] = 0
-- Superweapon targeting reduction
CF_SuperWeaponBonuses[factionid] = 0
-- Unit price reduction
CF_FactoryBonuses[factionid] = 0
-- Body price reduction
CF_CloneBonuses[factionid] = 0
-- HP regeneration increase
CF_HospitalBonuses[factionid] = 20


-- Define brain unit
CF_Brains[factionid] = "Brain Lord";
CF_BrainModules[factionid] = "AAA.rte";
CF_BrainClasses[factionid] = "AHuman";
CF_BrainPrices[factionid] = 500;

-- Define dropship
CF_Crafts[factionid] = "Teleportation Glyph";
CF_CraftModules[factionid] = "AAA.rte";
CF_CraftClasses[factionid] = "ACRocket";
CF_CraftPrices[factionid] = 20;

-- Define superweapon script
CF_SuperWeaponScripts[factionid] = "UnmappedLands2.rte/SuperWeapons/Crushing.lua"

-- Define prefered presets to choose from when deploying troops in tactical mode
CF_PreferedTacticalPresets[factionid] = {
		CF_PresetTypes.INFANTRY1,
		CF_PresetTypes.INFANTRY2, 
		CF_PresetTypes.SNIPER, 
		CF_PresetTypes.SHOTGUN, 
		CF_PresetTypes.HEAVY1, 
		CF_PresetTypes.HEAVY2,
		CF_PresetTypes.ARMOR1, 
		CF_PresetTypes.ARMOR2,
		CF_PresetTypes.ENGINEER	
	}

-- Define buyable actors available for purchase or unlocks
CF_ActNames[factionid] = {}
CF_ActPresets[factionid] = {}
CF_ActModules[factionid] = {}
CF_ActPrices[factionid] = {}
CF_ActDescriptions[factionid] = {}
CF_ActUnlockData[factionid] = {}
CF_ActClasses[factionid] = {}
CF_ActTypes[factionid] = {}
CF_ActPowers[factionid] = {}
CF_ActOffsets[factionid] = {}

local i = 0
i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Wanderer"
CF_ActPresets[factionid][i] = "Wanderer"
CF_ActModules[factionid][i] = "AAA.rte"
CF_ActPrices[factionid][i] = 140
CF_ActDescriptions[factionid][i] = "Air element magician with lots of little tricks."
CF_ActUnlockData[factionid][i] = 1000
CF_ActTypes[factionid][i] = CF_ActorTypes.LIGHT;
CF_ActPowers[factionid][i] = 6

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Warden"
CF_ActPresets[factionid][i] = "Warden"
CF_ActModules[factionid][i] = "AAA.rte"
CF_ActPrices[factionid][i] = 200
CF_ActDescriptions[factionid][i] = "Earth element muscle wizard that is as tough as steel."
CF_ActUnlockData[factionid][i] = 2000
CF_ActTypes[factionid][i] = CF_ActorTypes.ARMOR;
CF_ActPowers[factionid][i] = 5

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Warlock"
CF_ActPresets[factionid][i] = "Warlock"
CF_ActModules[factionid][i] = "AAA.rte"
CF_ActPrices[factionid][i] = 160
CF_ActDescriptions[factionid][i] = "Fire element battlemage possessing unrivalled fire-power."
CF_ActUnlockData[factionid][i] = 3000
CF_ActTypes[factionid][i] = CF_ActorTypes.HEAVY;
CF_ActPowers[factionid][i] = 9

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Thaumaturge"
CF_ActPresets[factionid][i] = "Thaumaturge"
CF_ActModules[factionid][i] = "AAA.rte"
CF_ActPrices[factionid][i] = 240
CF_ActDescriptions[factionid][i] = "Water element spellbinder focusing on support and utility."
CF_ActUnlockData[factionid][i] = 4000
CF_ActTypes[factionid][i] = CF_ActorTypes.HEAVY;
CF_ActPowers[factionid][i] = 4

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Wizard"
CF_ActPresets[factionid][i] = "Wizard"
CF_ActModules[factionid][i] = "AAA.rte"
CF_ActPrices[factionid][i] = 120
CF_ActDescriptions[factionid][i] = "Academy magic student capable of casting all sorts of strange spells."
CF_ActUnlockData[factionid][i] = 0
CF_ActTypes[factionid][i] = CF_ActorTypes.LIGHT;
CF_ActPowers[factionid][i] = 7

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Necromancer"
CF_ActPresets[factionid][i] = "Necromancer"
CF_ActModules[factionid][i] = "AAA.rte"
CF_ActPrices[factionid][i] = 180
CF_ActDescriptions[factionid][i] = "Frail servant of the lord of death. Experts at summoning and controlling servants."
CF_ActUnlockData[factionid][i] = 500
CF_ActTypes[factionid][i] = CF_ActorTypes.LIGHT;
CF_ActPowers[factionid][i] = 2

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Aphid Demon"
CF_ActPresets[factionid][i] = "Aphid Demon"
CF_ActModules[factionid][i] = "AAA.rte"
CF_ActPrices[factionid][i] = 300
CF_ActDescriptions[factionid][i] = "Demons possess a radically different spellcasting tradition."
CF_ActUnlockData[factionid][i] = 5000
CF_ActClasses[factionid][i] = "ACrab"
CF_ActTypes[factionid][i] = CF_ActorTypes.ARMOR;
CF_ActPowers[factionid][i] = 3
CF_ActOffsets[factionid][i] = Vector(0,8)

-- Define buyable items available for purchase or unlocks
CF_ItmNames[factionid] = {}
CF_ItmPresets[factionid] = {}
CF_ItmModules[factionid] = {}
CF_ItmPrices[factionid] = {}
CF_ItmDescriptions[factionid] = {}
CF_ItmUnlockData[factionid] = {}
CF_ItmClasses[factionid] = {}
CF_ItmTypes[factionid] = {}
CF_ItmPowers[factionid] = {} -- AI will select weapons based on this value 1 - weakest, 10 toughest, 0 never use

-- Available weapon types
-- PISTOL, RIFLE, SHOTGUN, SNIPER, HEAVY, SHIELD, DIGGER, GRENADE

local i = 0
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Basic Spellbook"
CF_ItmPresets[factionid][i] = "Basic Spellbook"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 20
CF_ItmDescriptions[factionid][i] = "Spellbook, can only be used by mages."
CF_ItmUnlockData[factionid][i] = 0
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 10

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Elemental Grimoire"
CF_ItmPresets[factionid][i] = "Elemental Grimoire"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 60
CF_ItmDescriptions[factionid][i] = "Enchanted spellbook, can only be used by mages."
CF_ItmUnlockData[factionid][i] = 500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 10

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Necronomicon"
CF_ItmPresets[factionid][i] = "Necronomicon"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 100
CF_ItmDescriptions[factionid][i] = "Cursed spellbook, can only be used by mages."
CF_ItmUnlockData[factionid][i] = 2000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 10

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Spell Sword"
CF_ItmPresets[factionid][i] = "Spell Sword"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 75
CF_ItmDescriptions[factionid][i] = "Cast with one hand while having shredding foes with the chainsaw-like sonic enchantment."
CF_ItmUnlockData[factionid][i] = 1200
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 10

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Ruby Staff"
CF_ItmPresets[factionid][i] = "Ruby Staff"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 110
CF_ItmDescriptions[factionid][i] = "Also known as the N00b Staff, able to shoot homing shots that causes debilitating effects."
CF_ItmUnlockData[factionid][i] = 300
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 4

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Serpent Staff"
CF_ItmPresets[factionid][i] = "Serpent Staff"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 55
CF_ItmDescriptions[factionid][i] = "Exotic weapon that spits your blood as missiles towards enemies, restores health when recharging."
CF_ItmUnlockData[factionid][i] = 4400
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 10

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Mage Shield"
CF_ItmPresets[factionid][i] = "Mage Shield"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 35
CF_ItmDescriptions[factionid][i] = "This magic shield provides excellent additional frontal protection to the user and it can stop numerous hits before breaking up."
CF_ItmUnlockData[factionid][i] = 800
CF_ItmClasses[factionid][i] = "HeldDevice"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHIELD;
CF_ItmPowers[factionid][i] = 8

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Aeris Stone"
CF_ItmPresets[factionid][i] = "Aeris Stone"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 15
CF_ItmDescriptions[factionid][i] = "Generates air from within a second after thrown."
CF_ItmUnlockData[factionid][i] = 600
CF_ItmClasses[factionid][i] = "TDExplosive"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 4

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Terra Stone"
CF_ItmPresets[factionid][i] = "Terra Stone"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 15
CF_ItmDescriptions[factionid][i] = "Throwable transmuted stone.  Turns into a boulder a second after thrown."
CF_ItmUnlockData[factionid][i] = 1600
CF_ItmClasses[factionid][i] = "TDExplosive"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 4

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Ignis Stone"
CF_ItmPresets[factionid][i] = "Ignis Stone"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 20
CF_ItmDescriptions[factionid][i] = "Fragments into small explosives that explodes and burns on touch."
CF_ItmUnlockData[factionid][i] = 2600
CF_ItmClasses[factionid][i] = "TDExplosive"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 3

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Aqua Stone"
CF_ItmPresets[factionid][i] = "Aqua Stone"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 15
CF_ItmDescriptions[factionid][i] = "Fragments into small globes on hit that explodes and wets on touch."
CF_ItmUnlockData[factionid][i] = 3600
CF_ItmClasses[factionid][i] = "TDExplosive"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 4

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Empty Spell Trap"
CF_ItmPresets[factionid][i] = "Empty Spell Trap"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 20
CF_ItmDescriptions[factionid][i] = "An arcane contraption that can be etched with a spell that will be invoked when an enemy steps on it."
CF_ItmUnlockData[factionid][i] = 400
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Roller SpellBomb"
CF_ItmPresets[factionid][i] = "Roller SpellBomb"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 15
CF_ItmDescriptions[factionid][i] = "An modified RFS contraption with less armor and the explosives replaced with a engraved spell core."
CF_ItmUnlockData[factionid][i] = 2400
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Alkahest"
CF_ItmPresets[factionid][i] = "Alkahest"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 10
CF_ItmDescriptions[factionid][i] = "A solvent that can be infused with a spell to manufacture improvised splash potions."
CF_ItmUnlockData[factionid][i] = 1400
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Anubis Idol"
CF_ItmPresets[factionid][i] = "Anubis Idol"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 30
CF_ItmDescriptions[factionid][i] = "Aids in the binding and animation of bomber zombies that blows up with their spells when nearing a foe."
CF_ItmUnlockData[factionid][i] = 3400
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Health Potion"
CF_ItmPresets[factionid][i] = "Health Potion"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 20
CF_ItmDescriptions[factionid][i] = "Restore around 60 health."
CF_ItmUnlockData[factionid][i] = 500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Mana Potion"
CF_ItmPresets[factionid][i] = "Mana Potion"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 20
CF_ItmDescriptions[factionid][i] = "Restore around 400 mana."
CF_ItmUnlockData[factionid][i] = 1000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Blink Potion"
CF_ItmPresets[factionid][i] = "Blink Potion"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 10
CF_ItmDescriptions[factionid][i] = "Halt your momentum by teleporting to your current location."
CF_ItmUnlockData[factionid][i] = 1500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Regen Elixir"
CF_ItmPresets[factionid][i] = "Regen Elixir"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 25
CF_ItmDescriptions[factionid][i] = "Confers rapid regeneration for 15 seconds."
CF_ItmUnlockData[factionid][i] = 2000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Levitate Elixir"
CF_ItmPresets[factionid][i] = "Levitate Elixir"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 35
CF_ItmDescriptions[factionid][i] = "Confers the ability to float."
CF_ItmUnlockData[factionid][i] = 2500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Barrier Elixir"
CF_ItmPresets[factionid][i] = "Barrier Elixir"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 35
CF_ItmDescriptions[factionid][i] = "Confers a barrier that blocks projectiles."
CF_ItmUnlockData[factionid][i] = 3000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Sacrificial Dagger"
CF_ItmPresets[factionid][i] = "Sacrificial Dagger"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 15
CF_ItmDescriptions[factionid][i] = "Convert blood into mana."
CF_ItmUnlockData[factionid][i] = 600
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Air Bolt Scroll"
CF_ItmPresets[factionid][i] = "Air Bolt Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 5
CF_ItmDescriptions[factionid][i] = "Hurl a bolt of compressed air which explodes upon impact."
CF_ItmUnlockData[factionid][i] = 0
CF_ItmTypes[factionid][i] = CF_WeaponTypes.PISTOL;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Wind Shear Scroll"
CF_ItmPresets[factionid][i] = "Wind Shear Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 10
CF_ItmDescriptions[factionid][i] = "Propel a wave of air to blast objects and enemies forward."
CF_ItmUnlockData[factionid][i] = 500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHOTGUN;
CF_ItmPowers[factionid][i] = 4

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Pixie Swarm Scroll"
CF_ItmPresets[factionid][i] = "Pixie Swarm Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 25
CF_ItmDescriptions[factionid][i] = "Conjure a swarm of glowing pixies to surround you and attack all enemies who draw too close."
CF_ItmUnlockData[factionid][i] = 1000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 3

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Levitate Scroll"
CF_ItmPresets[factionid][i] = "Levitate Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 35
CF_ItmDescriptions[factionid][i] = "Allows a mage to float temporarily, enchantment wears off when hit."
CF_ItmUnlockData[factionid][i] = 1500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Lightning Scroll"
CF_ItmPresets[factionid][i] = "Lightning Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 45
CF_ItmDescriptions[factionid][i] = "Calls forth a massive lightning bolt to blasts the target to oblivion."
CF_ItmUnlockData[factionid][i] = 1500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SNIPER;
CF_ItmPowers[factionid][i] = 7

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Storm Scroll"
CF_ItmPresets[factionid][i] = "Storm Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 70
CF_ItmDescriptions[factionid][i] = "Calls upon the spirits of air to destroy everything in the vicinity though lightning."
CF_ItmUnlockData[factionid][i] = 2500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Rolling Boulder Scroll"
CF_ItmPresets[factionid][i] = "Rolling Boulder Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 20
CF_ItmDescriptions[factionid][i] = "Conjure a self propelling boulder that can crush troops and block missiles."
CF_ItmUnlockData[factionid][i] = 0
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 4

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Earth Wall Scroll"
CF_ItmPresets[factionid][i] = "Earth Wall Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 20
CF_ItmDescriptions[factionid][i] = "Protect yourself behind a protective wall of rocks and earth."
CF_ItmUnlockData[factionid][i] = 500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 500

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Guardian Stones Scroll"
CF_ItmPresets[factionid][i] = "Guardian Stones Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 25
CF_ItmDescriptions[factionid][i] = "Summon a group of pebbles to protect you."
CF_ItmUnlockData[factionid][i] = 1000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 2

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Transmute Mud Scroll"
CF_ItmPresets[factionid][i] = "Transmute Mud Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 30
CF_ItmDescriptions[factionid][i] = "Conjure a layer of toxic sludge onto your enemies, slowing and poisoning while clogging up their jet packs or flight magic."
CF_ItmUnlockData[factionid][i] = 1500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Fist of Vengeance Scroll"
CF_ItmPresets[factionid][i] = "Fist of Vengeance Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 45
CF_ItmDescriptions[factionid][i] = "Summon a colossal megalithic hand to fall from above and smite your enemies."
CF_ItmUnlockData[factionid][i] = 2000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SNIPER;
CF_ItmPowers[factionid][i] = 8

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Upheaval Scroll"
CF_ItmPresets[factionid][i] = "Upheaval Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 70
CF_ItmDescriptions[factionid][i] = "Calls upon the spirits of the earth to send armies into the heavens."
CF_ItmUnlockData[factionid][i] = 2500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Fire Bolt Scroll"
CF_ItmPresets[factionid][i] = "Fire Bolt Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 5
CF_ItmDescriptions[factionid][i] = "Launch a bolt a fire to blast your target."
CF_ItmUnlockData[factionid][i] = 0
CF_ItmTypes[factionid][i] = CF_WeaponTypes.PISTOL;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Burn Scroll"
CF_ItmPresets[factionid][i] = "Burn Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 10
CF_ItmDescriptions[factionid][i] = "Scorch your enemies with a small patch of flames."
CF_ItmUnlockData[factionid][i] = 500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 2

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Searing Pillar Scroll"
CF_ItmPresets[factionid][i] = "Searing Pillar Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 25
CF_ItmDescriptions[factionid][i] = "Invokes a flaming pillar under your foes."
CF_ItmUnlockData[factionid][i] = 1000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 5

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Fireball Scroll"
CF_ItmPresets[factionid][i] = "Fireball Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 45
CF_ItmDescriptions[factionid][i] = "Launch a heavy fireball that can ignite and wipe out entire squads."
CF_ItmUnlockData[factionid][i] = 1500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 9

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Explosion Scroll"
CF_ItmPresets[factionid][i] = "Explosion Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 60
CF_ItmDescriptions[factionid][i] = "Produce a large explosion directly in the midst of your enemies."
CF_ItmUnlockData[factionid][i] = 2000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 8

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Bombardment Scroll"
CF_ItmPresets[factionid][i] = "Bombardment Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 70
CF_ItmDescriptions[factionid][i] = "Calls upon the spirits of fire to bombard the area with fiery fireballs."
CF_ItmUnlockData[factionid][i] = 2500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Hydro Jet Scroll"
CF_ItmPresets[factionid][i] = "Hydro Jet Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 5
CF_ItmDescriptions[factionid][i] = "Emit a continuous jet of water that cut into stone and flesh alike."
CF_ItmUnlockData[factionid][i] = 0
CF_ItmTypes[factionid][i] = CF_WeaponTypes.DIGGER;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Ice Barrage Scroll"
CF_ItmPresets[factionid][i] = "Ice Barrage Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 10
CF_ItmDescriptions[factionid][i] = "Fabricates a magical core of ice that launches barrages of icy spikes before it melts."
CF_ItmUnlockData[factionid][i] = 500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHOTGUN;
CF_ItmPowers[factionid][i] = 3

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Geyser Scroll"
CF_ItmPresets[factionid][i] = "Geyser Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 15
CF_ItmDescriptions[factionid][i] = "Invokes a massive geyser that pelts the surroundings with forceful blobs of water."
CF_ItmUnlockData[factionid][i] = 1000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 2

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Arctic Lance Scroll"
CF_ItmPresets[factionid][i] = "Arctic Lance Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 40
CF_ItmDescriptions[factionid][i] = "Snipes faraway enemies by hurling a large frozen spear that can pulverize bones."
CF_ItmUnlockData[factionid][i] = 1500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SNIPER;
CF_ItmPowers[factionid][i] = 7

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Frost Star Scroll"
CF_ItmPresets[factionid][i] = "Frost Star Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 55
CF_ItmDescriptions[factionid][i] = "Summon a spinning chunk of ice that follows you can shoot icicles at your enemies."
CF_ItmUnlockData[factionid][i] = 2000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SNIPER;
CF_ItmPowers[factionid][i] = 7

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Blizzard Scroll"
CF_ItmPresets[factionid][i] = "Blizzard Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 70
CF_ItmDescriptions[factionid][i] = "Calls upon the spirits of water to rain icicles that can skewer an army."
CF_ItmUnlockData[factionid][i] = 2500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Arcane Missile Scroll"
CF_ItmPresets[factionid][i] = "Arcane Missile Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 5
CF_ItmDescriptions[factionid][i] = "Launch a bolt of mana disrupting arcane energy that slightly homes onto enemies."
CF_ItmUnlockData[factionid][i] = 0
CF_ItmTypes[factionid][i] = CF_WeaponTypes.PISTOL;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Blink Scroll"
CF_ItmPresets[factionid][i] = "Blink Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 10
CF_ItmDescriptions[factionid][i] = "Wrap space to instantly teleport yourself a short distance."
CF_ItmUnlockData[factionid][i] = 500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Mystic Nova Scroll"
CF_ItmPresets[factionid][i] = "Mystic Nova Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 20
CF_ItmDescriptions[factionid][i] = "Blast nearby enemies with a burst of omnidirectional magic."
CF_ItmUnlockData[factionid][i] = 1000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHOTGUN;
CF_ItmPowers[factionid][i] = 2

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Heal Scroll"
CF_ItmPresets[factionid][i] = "Heal Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 30
CF_ItmDescriptions[factionid][i] = "Utilize your mana to restore health and mend wounds."
CF_ItmUnlockData[factionid][i] = 1500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Barrier Scroll"
CF_ItmPresets[factionid][i] = "Barrier Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 35
CF_ItmDescriptions[factionid][i] = "Surround yourself within a solid orb of energy, blocking blows until the shield collapses."
CF_ItmUnlockData[factionid][i] = 2000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 3

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Summoning Circle Scroll"
CF_ItmPresets[factionid][i] = "Summoning Circle Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 70
CF_ItmDescriptions[factionid][i] = "Craft a sigil that intercepts any teleportations bearing your team signature."
CF_ItmUnlockData[factionid][i] = 2500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Raise Dead Scroll"
CF_ItmPresets[factionid][i] = "Raise Dead Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 30
CF_ItmDescriptions[factionid][i] = "Summon a skeletal servant with rudimentary intelligence, each necromancer can only support a few servants."
CF_ItmUnlockData[factionid][i] = 1000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 4

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Death Ray Scroll"
CF_ItmPresets[factionid][i] = "Death Ray Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 35
CF_ItmDescriptions[factionid][i] = "Blast your foe with a instant ray of deadly energy which hiders restoration."
CF_ItmUnlockData[factionid][i] = 2000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SNIPER;
CF_ItmPowers[factionid][i] = 9

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Infest Scroll"
CF_ItmPresets[factionid][i] = "Infest Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 45
CF_ItmDescriptions[factionid][i] = "Spawn ravenous insects from within your enemies to devour them and feed you their life energies."
CF_ItmUnlockData[factionid][i] = 3000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SNIPER;
CF_ItmPowers[factionid][i] = 6

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Dominate Scroll"
CF_ItmPresets[factionid][i] = "Dominate Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 55
CF_ItmDescriptions[factionid][i] = "Attempt to take over an enemy by scrambling their minds, lasts as long as you concentrate and leaves the victim feral afterwards.."
CF_ItmUnlockData[factionid][i] = 4000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SNIPER;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Revolution Scroll"
CF_ItmPresets[factionid][i] = "Revolution Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 65
CF_ItmDescriptions[factionid][i] = "Triggers the long awaited zombie revolution that brings a mindless mob onto the surface."
CF_ItmUnlockData[factionid][i] = 5000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Reincarnation Scroll"
CF_ItmPresets[factionid][i] = "Reincarnation Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 300
CF_ItmDescriptions[factionid][i] = "Supposedly allows you to respawn after death in an designated spot."
CF_ItmUnlockData[factionid][i] = 6000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Bone Spirit Scroll"
CF_ItmPresets[factionid][i] = "Bone Spirit Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 15
CF_ItmDescriptions[factionid][i] = "Call forth a possessed spear of bone that homes and pierce."
CF_ItmUnlockData[factionid][i] = 6000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Acid Rain Scroll"
CF_ItmPresets[factionid][i] = "Acid Rain Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 55
CF_ItmDescriptions[factionid][i] = "Rain acid for a short while."
CF_ItmUnlockData[factionid][i] = 6000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Clash Scroll"
CF_ItmPresets[factionid][i] = "Clash Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 75
CF_ItmDescriptions[factionid][i] = "With your arcane might, negotiate help from the spirits of all four elements at once."
CF_ItmUnlockData[factionid][i] = 6000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Meteor Scroll"
CF_ItmPresets[factionid][i] = "Meteor Scroll"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 90
CF_ItmDescriptions[factionid][i] = "Bring flaming meteors crashing down wherever you desire.Bring flaming meteors crashing down wherever you desire."
CF_ItmUnlockData[factionid][i] = 6000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 0


