-- <Mod name here> <Mod URL here> by <Mod author here>
-- Faction file by <Faction file contributors here>
-- 
-- Unique Faction ID
local factionid = "Academy of Arcane Arts";
print ("Loading "..factionid)

CF_Factions[#CF_Factions + 1] = factionid

CF_FactionNames[factionid] = "Academy";
CF_FactionDescriptions[factionid] = "A academy of wizards, Academy of Arcane Arts sells units capable of using magic along with a large array of spells and magical items. Extremely versatile and powerful, but expensive and difficult to use.";
CF_FactionPlayable[factionid] = true;

CF_RequiredModules[factionid] = {"Base.rte", "AAA.rte"}
-- Available values ORGANIC, SYNTHETIC
CF_FactionNatures[factionid] = CF_FactionTypes.ORGANIC;


-- Define faction bonuses, in percents
-- Scan price reduction
CF_ScanBonuses[factionid] = 50
-- Relation points increase
CF_RelationsBonuses[factionid] = 0
-- Hew HQ build price reduction
CF_ExpansionBonuses[factionid] = 0

-- Gold per turn increase
CF_MineBonuses[factionid] = 0
-- Science per turn increase
CF_LabBonuses[factionid] = 40
-- Delivery time reduction
CF_AirfieldBonuses[factionid] = 0
-- Superweapon targeting reduction
CF_SuperWeaponBonuses[factionid] = 0
-- Unit price reduction
CF_FactoryBonuses[factionid] = 0
-- Body price reduction
CF_CloneBonuses[factionid] = 0
-- HP regeneration increase
CF_HospitalBonuses[factionid] = 20


-- Define brain unit
CF_Brains[factionid] = "Brain Lord";
CF_BrainModules[factionid] = "AAA.rte";
CF_BrainClasses[factionid] = "AHuman";
CF_BrainPrices[factionid] = 500;

-- Define dropship
CF_Crafts[factionid] = "Teleportation Glyph";
CF_CraftModules[factionid] = "AAA.rte";
CF_CraftClasses[factionid] = "ACRocket";
CF_CraftPrices[factionid] = 20;

-- Define superweapon script
CF_SuperWeaponScripts[factionid] = "UnmappedLands2.rte/SuperWeapons/Crushing.lua"

-- Define prefered presets to choose from when deploying troops in tactical mode
CF_PreferedTacticalPresets[factionid] = {
		CF_PresetTypes.INFANTRY1,
		CF_PresetTypes.INFANTRY2, 
		CF_PresetTypes.SNIPER, 
		CF_PresetTypes.SHOTGUN, 
		CF_PresetTypes.HEAVY1, 
		CF_PresetTypes.HEAVY2,
		CF_PresetTypes.ARMOR1, 
		CF_PresetTypes.ARMOR2,
		CF_PresetTypes.ENGINEER	
	}

-- Define buyable actors available for purchase or unlocks
CF_ActNames[factionid] = {}
CF_ActPresets[factionid] = {}
CF_ActModules[factionid] = {}
CF_ActPrices[factionid] = {}
CF_ActDescriptions[factionid] = {}
CF_ActUnlockData[factionid] = {}
CF_ActClasses[factionid] = {}
CF_ActTypes[factionid] = {}
CF_ActPowers[factionid] = {}
CF_ActOffsets[factionid] = {}

local i = 0
i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Wanderer"
CF_ActPresets[factionid][i] = "Wanderer"
CF_ActModules[factionid][i] = "AAA.rte"
CF_ActPrices[factionid][i] = 140
CF_ActDescriptions[factionid][i] = "Air element magician with lots of little tricks."
CF_ActUnlockData[factionid][i] = 1000
CF_ActTypes[factionid][i] = CF_ActorTypes.LIGHT;
CF_ActPowers[factionid][i] = 6

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Warden"
CF_ActPresets[factionid][i] = "Warden"
CF_ActModules[factionid][i] = "AAA.rte"
CF_ActPrices[factionid][i] = 200
CF_ActDescriptions[factionid][i] = "Earth element muscle wizard that is as tough as steel."
CF_ActUnlockData[factionid][i] = 2000
CF_ActTypes[factionid][i] = CF_ActorTypes.ARMOR;
CF_ActPowers[factionid][i] = 5

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Warlock"
CF_ActPresets[factionid][i] = "Warlock"
CF_ActModules[factionid][i] = "AAA.rte"
CF_ActPrices[factionid][i] = 160
CF_ActDescriptions[factionid][i] = "Fire element battlemage possessing unrivalled fire-power."
CF_ActUnlockData[factionid][i] = 3000
CF_ActTypes[factionid][i] = CF_ActorTypes.HEAVY;
CF_ActPowers[factionid][i] = 9

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Thaumaturge"
CF_ActPresets[factionid][i] = "Thaumaturge"
CF_ActModules[factionid][i] = "AAA.rte"
CF_ActPrices[factionid][i] = 240
CF_ActDescriptions[factionid][i] = "Water element spellbinder focusing on support and utility."
CF_ActUnlockData[factionid][i] = 4000
CF_ActTypes[factionid][i] = CF_ActorTypes.HEAVY;
CF_ActPowers[factionid][i] = 4

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Wizard"
CF_ActPresets[factionid][i] = "Wizard"
CF_ActModules[factionid][i] = "AAA.rte"
CF_ActPrices[factionid][i] = 120
CF_ActDescriptions[factionid][i] = "Academy magic student capable of casting all sorts of strange spells."
CF_ActUnlockData[factionid][i] = 0
CF_ActTypes[factionid][i] = CF_ActorTypes.LIGHT;
CF_ActPowers[factionid][i] = 7

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Necromancer"
CF_ActPresets[factionid][i] = "Necromancer"
CF_ActModules[factionid][i] = "AAA.rte"
CF_ActPrices[factionid][i] = 180
CF_ActDescriptions[factionid][i] = "Frail servant of the lord of death. Experts at summoning and controlling servants."
CF_ActUnlockData[factionid][i] = 500
CF_ActTypes[factionid][i] = CF_ActorTypes.LIGHT;
CF_ActPowers[factionid][i] = 2

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Aphid Demon"
CF_ActPresets[factionid][i] = "Aphid Demon"
CF_ActModules[factionid][i] = "AAA.rte"
CF_ActPrices[factionid][i] = 300
CF_ActDescriptions[factionid][i] = "Demons possess a radically different spellcasting tradition."
CF_ActUnlockData[factionid][i] = 5000
CF_ActClasses[factionid][i] = "ACrab"
CF_ActTypes[factionid][i] = CF_ActorTypes.ARMOR;
CF_ActPowers[factionid][i] = 3
CF_ActOffsets[factionid][i] = Vector(0,8)

-- Define buyable items available for purchase or unlocks
CF_ItmNames[factionid] = {}
CF_ItmPresets[factionid] = {}
CF_ItmModules[factionid] = {}
CF_ItmPrices[factionid] = {}
CF_ItmDescriptions[factionid] = {}
CF_ItmUnlockData[factionid] = {}
CF_ItmClasses[factionid] = {}
CF_ItmTypes[factionid] = {}
CF_ItmPowers[factionid] = {} -- AI will select weapons based on this value 1 - weakest, 10 toughest, 0 never use

-- Available weapon types
-- PISTOL, RIFLE, SHOTGUN, SNIPER, HEAVY, SHIELD, DIGGER, GRENADE

local i = 0
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Basic Spellbook"
CF_ItmPresets[factionid][i] = "Basic Spellbook"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 100
CF_ItmDescriptions[factionid][i] = "Spellbook, can only be used by mages."
CF_ItmUnlockData[factionid][i] = 0
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 10

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Elemental Grimoire"
CF_ItmPresets[factionid][i] = "Elemental Grimoire"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 200
CF_ItmDescriptions[factionid][i] = "Enchanted spellbook, can only be used by mages."
CF_ItmUnlockData[factionid][i] = 500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 10

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Necronomicon"
CF_ItmPresets[factionid][i] = "Necronomicon"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 300
CF_ItmDescriptions[factionid][i] = "Cursed spellbook, can only be used by mages."
CF_ItmUnlockData[factionid][i] = 2000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 10

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Spell Sword"
CF_ItmPresets[factionid][i] = "Spell Sword"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 240
CF_ItmDescriptions[factionid][i] = "Cast with one hand while having shredding foes with the chainsaw-like sonic enchantment."
CF_ItmUnlockData[factionid][i] = 1200
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 10

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Ruby Staff"
CF_ItmPresets[factionid][i] = "Ruby Staff"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 110
CF_ItmDescriptions[factionid][i] = "Also known as the N00b Staff, able to shoot homing shots that causes debilitating effects."
CF_ItmUnlockData[factionid][i] = 300
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 4

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Serpent Staff"
CF_ItmPresets[factionid][i] = "Serpent Staff"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 55
CF_ItmDescriptions[factionid][i] = "Exotic weapon that spits your blood as missiles towards enemies, restores health when recharging."
CF_ItmUnlockData[factionid][i] = 4400
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 10

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Mage Shield"
CF_ItmPresets[factionid][i] = "Mage Shield"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 35
CF_ItmDescriptions[factionid][i] = "This magic shield provides excellent additional frontal protection to the user and it can stop numerous hits before breaking up."
CF_ItmUnlockData[factionid][i] = 800
CF_ItmClasses[factionid][i] = "HeldDevice"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHIELD;
CF_ItmPowers[factionid][i] = 8

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Aeris Stone"
CF_ItmPresets[factionid][i] = "Aeris Stone"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 15
CF_ItmDescriptions[factionid][i] = "Generates air from within a second after thrown."
CF_ItmUnlockData[factionid][i] = 600
CF_ItmClasses[factionid][i] = "TDExplosive"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 4

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Terra Stone"
CF_ItmPresets[factionid][i] = "Terra Stone"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 15
CF_ItmDescriptions[factionid][i] = "Throwable transmuted stone.  Turns into a boulder a second after thrown."
CF_ItmUnlockData[factionid][i] = 1600
CF_ItmClasses[factionid][i] = "TDExplosive"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 4

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Ignis Stone"
CF_ItmPresets[factionid][i] = "Ignis Stone"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 20
CF_ItmDescriptions[factionid][i] = "Fragments into small explosives that explodes and burns on touch."
CF_ItmUnlockData[factionid][i] = 2600
CF_ItmClasses[factionid][i] = "TDExplosive"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 3

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Aqua Stone"
CF_ItmPresets[factionid][i] = "Aqua Stone"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 15
CF_ItmDescriptions[factionid][i] = "Fragments into small globes on hit that explodes and wets on touch."
CF_ItmUnlockData[factionid][i] = 3600
CF_ItmClasses[factionid][i] = "TDExplosive"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 4

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Empty Spell Trap"
CF_ItmPresets[factionid][i] = "Empty Spell Trap"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 20
CF_ItmDescriptions[factionid][i] = "An arcane contraption that can be etched with a spell that will be invoked when an enemy steps on it."
CF_ItmUnlockData[factionid][i] = 400
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Roller SpellBomb"
CF_ItmPresets[factionid][i] = "Roller SpellBomb"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 15
CF_ItmDescriptions[factionid][i] = "An modified RFS contraption with less armor and the explosives replaced with a engraved spell core."
CF_ItmUnlockData[factionid][i] = 2400
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Alkahest"
CF_ItmPresets[factionid][i] = "Alkahest"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 10
CF_ItmDescriptions[factionid][i] = "A solvent that can be infused with a spell to manufacture improvised splash potions."
CF_ItmUnlockData[factionid][i] = 1400
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Anubis Idol"
CF_ItmPresets[factionid][i] = "Anubis Idol"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 30
CF_ItmDescriptions[factionid][i] = "Aids in the binding and animation of bomber zombies that blows up with their spells when nearing a foe."
CF_ItmUnlockData[factionid][i] = 3400
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Health Potion"
CF_ItmPresets[factionid][i] = "Health Potion"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 20
CF_ItmDescriptions[factionid][i] = "Restore around 60 health."
CF_ItmUnlockData[factionid][i] = 500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Mana Potion"
CF_ItmPresets[factionid][i] = "Mana Potion"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 20
CF_ItmDescriptions[factionid][i] = "Restore around 400 mana."
CF_ItmUnlockData[factionid][i] = 1000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Blink Potion"
CF_ItmPresets[factionid][i] = "Blink Potion"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 10
CF_ItmDescriptions[factionid][i] = "Halt your momentum by teleporting to your current location."
CF_ItmUnlockData[factionid][i] = 1500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Regen Elixir"
CF_ItmPresets[factionid][i] = "Regen Elixir"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 25
CF_ItmDescriptions[factionid][i] = "Confers rapid regeneration for 15 seconds."
CF_ItmUnlockData[factionid][i] = 2000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Levitate Elixir"
CF_ItmPresets[factionid][i] = "Levitate Elixir"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 35
CF_ItmDescriptions[factionid][i] = "Confers the ability to float."
CF_ItmUnlockData[factionid][i] = 2500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Barrier Elixir"
CF_ItmPresets[factionid][i] = "Barrier Elixir"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 35
CF_ItmDescriptions[factionid][i] = "Confers a barrier that blocks projectiles."
CF_ItmUnlockData[factionid][i] = 3000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Sacrificial Dagger"
CF_ItmPresets[factionid][i] = "Sacrificial Dagger"
CF_ItmModules[factionid][i] = "AAA.rte"
CF_ItmPrices[factionid][i] = 15
CF_ItmDescriptions[factionid][i] = "Convert blood into mana."
CF_ItmUnlockData[factionid][i] = 600
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0
